<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;
?>
</div>
<div style="margin-top: 1em; margin-bottom: 2em; font-size: 10px; text-align: center;">
    <?php if (isset($MOD['productlink'])) { ?>
        <?php echo __('Module'); ?> <a href="<?php print(htmlspecialchars($MOD['productlink'], ENT_COMPAT, 'ISO-8859-15')); ?>" target="_blank"><?php print(htmlspecialchars($MOD['product'].' '.$MOD['version'], ENT_COMPAT, 'ISO-8859-15')); ?></a> <?php echo __('by'); ?> 
        <a href="<?php print(htmlspecialchars($MOD['producerlink'], ENT_COMPAT, 'ISO-8859-15')); ?>" target="_blank"><?php print(htmlspecialchars($MOD['producer'], ENT_COMPAT, 'ISO-8859-15')); ?></a>
        <br /><?php echo __('written for'); ?>
    <?php }  ?>
    <a href="<?php print(htmlspecialchars($CPO['productlink'], ENT_COMPAT, 'ISO-8859-15')); ?>" target="_blank"><?php print(htmlspecialchars(htmlspecialchars($CPO['productPrefix'], ENT_COMPAT, 'ISO-8859-15') . ' ' . $CPO['product'].' '.$CPO['version'])); ?></a> <?php echo __('by'); ?>
    <a href="<?php print(htmlspecialchars($CPO['producerlink'], ENT_COMPAT, 'ISO-8859-15')); ?>" target="_blank"><?php print(htmlspecialchars($CPO['producer'], ENT_COMPAT, 'ISO-8859-15')); ?></a> - 
    <?php echo __('All Rights Reserved'); ?>
</div>
<?php include(CPO_BASEDIR.'_include/debug.php'); ?>
</body>
</html>
