<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Auto-Login"                                          |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.0 / December 2018

*/

$user_check_by_token = false;

if(!isset($_SESSION['SID_log_login_id']) && isset($_COOKIE['identifier']) && isset($_COOKIE['securitytoken'])) {
   $identifier = $_COOKIE['identifier'];
   $securitytoken = $_COOKIE['securitytoken'];
   
   $query = "SELECT * FROM ".CPO_AUTOLOGIN." WHERE identifier = '".$identifier."' ";
    $db = new DB;
    $db->query($query);
    $db->next_record();
    $securitytoken_row = $db->v('securitytoken');
    $user_id_row = $db->v('user_id');
    $user_name_row = $db->v('user_name');
   
   if($securitytoken == $securitytoken_row) { //Token war korrekt         
      //Setze neuen Token
      $neuer_securitytoken = random_string();            
      $insert = "UPDATE ".CPO_AUTOLOGIN." SET securitytoken = '".$neuer_securitytoken."' WHERE identifier = '".$identifier."' ";
      $db->query($insert);
      setcookie("identifier",$identifier,time()+(3600*24*365),"/"); //1 Jahr Gltigkeit
      setcookie("securitytoken",$neuer_securitytoken,time()+(3600*24*365),"/"); //1 Jahr Gltigkeit
      $user_check_by_token = true;
      $_POST['form_userlogin'] = $user_name_row;
      $_REQUEST['action'] = 'login';
      logaction('autologin', $user_name_row);
      // delete obsolete logins
      $query = "DELETE FROM ".CPO_LOG_LOGIN." "
            ."WHERE user_id='".$user_id_row."' ";
      $db->query($query);
   } else { // Cookie lschen
        $db = new DB;
        $query = "DELETE FROM ".CPO_AUTOLOGIN." WHERE identifier='".$_COOKIE['identifier']."' ";
        $db->query($query);
      setcookie("identifier",$identifier,time()-(3600*24*365),"/"); 
      setcookie("securitytoken",$neuer_securitytoken,time()-(3600*24*365),"/");
   }
}
