<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Modification "mod_colorpicker"	Pimp my colorpicker        |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.0b / January 2014 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 

// Moduleinstellungen speichern (neue Version mit automatischem Einlesen neuer Variablen)************
if (isset($_POST['go'])) {
	$new_settings = $_POST;
    foreach ($activeModules['colorpicker'] as $k=>$v) {
        if (!isset($_POST['cpocolorpickerNew'][$k])) continue;
        if (is_bool($activeModules['colorpicker'][$k])) {
            $activeModules['colorpicker'][$k] = (bool) $_POST['cpocolorpickerNew'][$k];
        } else {
			$activeModules['colorpicker'][$k] = $_POST['cpocolorpickerNew'][$k];
		}
		if (array_key_exists($k, $new_settings['cpocolorpickerNew'])) unset($new_settings['cpocolorpickerNew'][$k]);
    }
    foreach ($new_settings['cpocolorpickerNew'] as $k=>$v) {
		$activeModules['colorpicker'][$k] = $new_settings['cpocolorpickerNew'][$k];
	}
    $c_datum = date ("Y-m-d H:i:s", time());
    $query = sprintf(
             "UPDATE ".CPO_MODULES." SET options ="
            ." '%s' WHERE name = '%s'", 
            addslashes(serialize($activeModules['colorpicker'])),
			'colorpicker'
    );
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 

    $message[] = __('Module settings were updated!');
}

require(CPO_BASEDIR.'_include/header.php');

if (!function_exists('modHelp'))  {
	function modHelp($topic,$module)  {
		return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
	}
}

?>
<script language="JavaScript">
<!--

var whichColor = '';
function openDialog(URL, name, width, height, parameters)
{
    // set some defaults if not given
    if (!name)   name   = '';
    if (!width)  width  = screen.width/2;
    if (!height) height = screen.height/2;
    if (!parameters) parameters = 'scrollbars=no, resizable=yes, status=yes';

    xOffset = (screen.width  - width)/2;
    yOffset = (screen.height - height)/2;

    newwindow = window.open(URL, name, 'width='+width+', height='+height+', top='+yOffset+', left='+xOffset+', '+parameters);
    return newwindow;
}
function pickedColor(color)
{
    if (!color) return;
    eval('document.modulesettings.'+whichColor+'.value="'+color+'";');
    eval('document.modulesettings.'+whichColor+'_show.style.backgroundColor="'+color+'";');
    colorize()
}

function getPickedColor()
{
    return eval(whichColor+'.value;');
}

function colorize()
{
    document.modulesettings.new_hex_show.style.backgroundColor = document.modulesettings.new_hex.value;
}

function componentToHex(c) {
    c = parseInt(c);
    var hex = c.toString(16);
    return hex.length == 1 ? "0" + hex : hex;
}
function rgbToHex(r, g, b) {
    if(r > 255) { document.modulesettings.red.value=255;   r=255; calcHex(); }
    if(r < 0)   { document.modulesettings.red.value=0;     r=0;   calcHex(); }
    if(g > 255) { document.modulesettings.green.value=255; g=255; calcHex(); }
    if(g < 0)   { document.modulesettings.green.value=0;   g=0;   calcHex(); }
    if(b > 255) { document.modulesettings.blue.value=255;  b=255; calcHex(); }
    if(b < 0)   { document.modulesettings.blue.value=0;    b=0;   calcHex(); }
    return "#" + componentToHex(r) + componentToHex(g) + componentToHex(b);
}
function calcHex()  {
    var hex = rgbToHex(document.modulesettings.red.value, document.modulesettings.green.value, document.modulesettings.blue.value);
    document.modulesettings.new_hex.value = hex.toUpperCase();
    document.modulesettings.new_hex_show.style.backgroundColor = hex.toUpperCase();
}
function addColor()  {
    document.modulesettings.customColors.value = document.modulesettings.customColors.value+' '+document.modulesettings.new_hex.value;
}
//-->
</script>
<?php
printPageHeader(
    __('Colorpicker'),
    __('In this view you can work on the colorpicker settings.'),
	modHelp('settings','colorpicker'),
	true,
	'modules'
);
include(CPO_BASEDIR.'_include/message.php');
include(CPO_BASEDIR.'mod_colorpicker/producer.inc.php');

if(array_key_exists('colorpicker', $activeModules))  {
	// table header {{{
	echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
	echo '<input type="hidden" name="go" value="1">';

	echo '<table class="colored" style="width: 100%;">';
	echo '<thead><tr>';

	echo '<th colspan="2"><span>'.__('Colorpicker settings').'</span></th>';

	echo '</tr></thead><tbody>';
	// }}}

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('RGB Converter:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo 'R: <input type="text" class="text" name="red" value="255" maxlength="3" size="3" onChange="calcHex()" onkeyup="calcHex()" /> ';
		echo 'G: <input type="text" class="text" name="green" value="255" maxlength="3" size="3" onChange="calcHex()" onkeyup="calcHex()" /> ';
		echo 'B: <input type="text" class="text" name="blue" value="255" maxlength="3" size="3" onChange="calcHex()" onkeyup="calcHex()" /> ';
		echo '&nbsp;&nbsp;&nbsp;HEX: ';
        echo '<input type="text" class="text" id="new_hex" value="#FFFFFF" maxlength="7" size="7" onchange="colorize();" />';
        echo '<input type="text" class="text" id="new_hex_show" size="1" value="" style="cursor:pointer; width:20px" onClick="whichColor=\'new_hex\'; openDialog(\'../_editor/colorpicker.php\', \'\', 530, 285)" readonly /> ';
        echo '<a href="javascript:addColor();"><img src="'.SKIN_URL.'sort_down.gif" align="bottom" /> '.__('add').'</a>';
		echo '</td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Custom colors:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input id="customColors" type="text" class="text inputwidth" name="cpocolorpickerNew[customColors]" value="'.$activeModules['colorpicker']['customColors'].'" />';
		echo '<br />'.__('<b>Usage:</b> #FF0000 #00FF00 #0000FF etc. (space separated hexadecimal color values)');
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Color steps:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="cpocolorpickerNew[steps]" value="'.$activeModules['colorpicker']['steps'].'" maxlength="5" size="5" /> '.__('steps darker and brighter');
		echo '</td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Color step width:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="cpocolorpickerNew[diff]" value="'.$activeModules['colorpicker']['diff'].'" maxlength="5" size="5" /> %';
		echo '</td>';
	echo '</tr>';


	echo '<tr>';
		echo '<td class="leftrow">';
		echo '&nbsp;';
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="submit" class="button" value="'.__('Save module settings').'" />';
		echo '</td>';
	echo '</tr>';
	echo '</tbody></table>';
	}
	
	echo '</form>';
?>

<script language="JavaScript">
<!--
colorize();
//-->
</script>

<?php
require(CPO_BASEDIR.'_include/footer.php');
?>
