<?php

/*
+------------------------------------------------------------------------+
| ConPresso-Module "CopyRights"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1 / April 2013 ==

*/

if (!defined('CPO')) exit;
$translator->addTranslation('navigation',CPO_BASEDIR.$moduleDirectory.'/lang');

$GLOBALS['modules']['CopyRights'] = array(
	'directory'=>$moduleDirectory,
    'caption'=>'Copy rights',
    'install'=>'function: CopyRights_install',
    'activate'=>'function: CopyRights_activate',
    'deactivate'=>'function: CopyRights_deactivate',
    'uninstall'=>'function: CopyRights_uninstall',
	);

// Hier kommen die Basis-Funktionen ***************************************************************

function CopyRights_install()
{
    $GLOBALS['message'][] = __('The copy-rights-module was successfully installed!');
}

function CopyRights_activate()
{
    $GLOBALS['message'][] = __('The copy-rights-module got activated.');
}

function CopyRights_deactivate()
{
    $GLOBALS['message'][] = __('The copy-rights-module got deactivated.');
}

function CopyRights_uninstall()
{
    $GLOBALS['message'][] = sprintf(__('The module was removed from the ConPresso-system. To finally uninstall the module, please remove the module directory <i>%s</i>.'), $GLOBALS['modules']['CopyRights']['directory']);
}

if (isset($_SESSION['SID_user']['admin']) && $_SESSION['SID_user']['admin']>=ROLE_SUPERUSER) {
    $hdlr_navigation[] = array('include: '.urlencode('mod_copy_rights/user_navigation.inc.php'));
}

?>
