<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Dropzone"                                            |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 1.0 / 2022

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');

$zugang = 0;
require(CPO_BASEDIR.'_include/check.php');
require(CPO_BASEDIR.'_include/header.php');

printPageHeader(
    __('Upload files'),
    __('In this view you can upload files.'),
    'files-uploadfiles.html#files-uploadfiles'
);
include(CPO_BASEDIR.'_include/message.php');

require(CPO_BASEDIR.'mod_dropzone/i_file_upload.php');

include(CPO_BASEDIR.'mod_dropzone/producer.inc.php');
require(CPO_BASEDIR.'_include/footer.php');
?>
