<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Enhanced Delete"                                     |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.0b / January 2014

*/

if (!defined('CPO')) exit;

$translation = array(

'Enhanced Delete' 
=> 'Erweitertes Lschen', 

'At least on of the selected imgaes is still used in the following article(s):' 
=> 'Mindestens eines der gewhlten Bilder wird derzeit in folgendem Artikel benutzt:', 
'The image %s is still used in the following article(s):' 
=> 'Das Bild %s wird derzeit in folgendem Artikel benutzt:', 
'The images %s seem to be unused.' 
=> 'Die Bilder %s scheinen derzeit nicht benutzt zu werden.', 
'The image %s seems to be unused.' 
=> 'Das Bild %s scheint derzeit nicht benutzt zu werden.', 
'Are you sure you want to delete the images %s?' 
=> 'Sind Sie sicher, da Sie die Bilder %s lschen wollen?', 
'Are you sure you want to delete the image %s?' 
=> 'Sind Sie sicher, da Sie das Bild %s lschen wollen?', 
'At least on of the selected files is still used in the following article(s):' 
=> 'Mindestens eine der gewhlten Dateien wird derzeit in folgendem Artikel benutzt:', 
'The file %s is still used in the following article(s):' 
=> 'Die Datei %s wird derzeit in folgendem Artikel benutzt:', 
'The files %s seem to be unused.' 
=> 'Die Dateien %s scheinen derzeit nicht benutzt zu werden.', 
'The file %s seems to be unused.' 
=> 'Die Datei %s scheint derzeit nicht benutzt zu werden.', 
'Are you sure you want to delete the files %s?' 
=> 'Sind Sie sicher, da Sie die Dateien %s lschen wollen?', 
'Are you sure you want to delete the file %s?' 
=> 'Sind Sie sicher, da Sie die Datei %s lschen wollen?', 
'selected' 
=> 'ausgewhlte', 
'The image(s) %s was successfully deleted.' 
=> 'Das bzw. die Bilder %s wurden erfolgreich gelscht.', 
'The file(s) %s was successfully deleted.' 
=> 'Die Datei(en) %s wurden erfolgreich gelscht.', 
'online' 
=> 'online', 
'not published yet' 
=> 'noch nicht verffentlicht', 
'expired' 
=> 'verfallen', 
'old article version' 
=> 'veraltete Artikelversion', 
'deleted article' 
=> 'gelschte Artikelversion', 
'blocked article' 
=> 'gesperrter Artikel', 
'waiting article' 
=> 'auf Freigabe wartender Artikel',

'Aborted by user. No file was deleted.' 
=> 'Abbruch durch Benutzer. Keine Datei wurde gelscht.',

'No items were selected!' 
=> 'Es wurden keine Eintrge ausgewhlt!', 
'overwrite' 
=> 'ggf. vorhandene Dateien berscheiben', 
'The enhanced delete module was successfully installed!' 
=> 'Das Modul Erweitertes Lschen wurde erfolgreich installiert.', 
'The enhanced delete module was removed from the ConPresso-system. To finally uninstall the module, please remove the module directory <i>%s</i>.' 
=> 'Das Modul Erweitertes Lschen wurde vom ConPresso-system entfernt. Bitte entfernen Sie das Modulverzeichnis <i>%s</i>, um die Deinstallation abzuschlieen.', 
'The enhanced delete module got activated.' 
=> 'Das Modul Erweitertes Lschen wurde aktiviert.', 
'The enhanced delete module got deactivated.' 
=> 'Das Modul Erweitertes Lschen wurde deaktiviert.', 
'delete selected' 
=> 'ausgewhlte Elemente lschen', 

'all' 
=> 'alle', 
'none' 
=> 'keine', 

// Settings
'Module settings were updated!' 
=> 'Die Moduleinstellungen wurden gespeichert!', 
'In this view you can work on the enhanced delete settings.' 
=> 'In dieser Ansicht knnen Sie die Einstellungen des Moduls Erweitertes Lschen bearbeiten.', 
'Enhanced delete settings' 
=> 'Erweitertes Lschen Einstellungen', 
'Keep files:' 
=> 'Dateien sichern:', 
'the files will be stored in %s.' 
=> 'die Dateien werden in %s gesichert.', 
'Handle imagesize module pictures:' 
=> 'Bildgren-Modul-Bilder bercksichtigen:', 
'yes' 
=> 'ja', 
'no' 
=> 'nein', 



'DELETED!' 
=> 'GELSCHT!', 
'Actual number of files: ' 
=> 'Anzahl Dateien: ', 
'purge' 
=> 'endgltig lschen', 
'%s files were deleted!' 
=> '%s Dateien wurden gelscht!', 
'english' 
=> 'deutsch', 
'english' 
=> 'deutsch', 
'english' 
=> 'deutsch', 
'english' 
=> 'deutsch', 


);

