<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Form"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1e / July 2013 ==

*/

initVar($mod_form_message_string,'');
initVar($parsed_form,false);

$menu_license		=	"\n<!-- \n	Conpresso-Formular-Modul (mod_form) von M. Rsel\n	Dieses Modul unterliegt den beim Download vereinbarten Lizenzbestimmungen!\n-->\n";

echo $menu_license;
echo '<form action="index.php" method="'.$activeModules[$directory]['method'].'" class="mod_form" name="mod_form" id="mod_form" enctype="multipart/form-data">';
if (class_exists('antiCSRF')) { 
	$antiCSRF->printInput('form'); 
} else {
	echo '<input type="hidden" name="action" value="form">';
}
if (isset($_REQUEST['rubric'])) echo '<input type="hidden" name="rubric" value="'.$_REQUEST['rubric'].'">';
if (isset($_REQUEST['nr'])) echo '<input type="hidden" name="nr" value="'.(int)$_REQUEST['nr'].'">';
if (isset($step) && $step>0) {
    echo '<input type="hidden" name="step" value="'.$step.'">';
}

if ($parsed_form=='')
{
	include(CPO_BASEDIR.$directory.'/includes/form_parser.inc.php');
	// Formular nicht abgesendet
	echo $template_datei;
}
else
{
	// Formular abgesendet
	$parsed_form = preg_replace('/<!--\s*mod_form_message_string\s*-->/i',$mod_form_message_string,$parsed_form);
	echo $parsed_form;
}

if ($activeModules[$directory]['captcha'] == "yes") {
	echo $activeModules[$directory]['captcha_template'];
?>
<script type="text/javascript">
<!--
function reloadCaptcha(captchaName)
{
	captchaName.src = 'captcha/captcha.php?time=' + new Date().getTime();
}
-->
</script>
<?php
}

if ($activeModules[$directory]['submit_template'])  {
	echo $activeModules[$directory]['submit_template'];
} else {
	echo '<input type="submit" class="mod_form_submitbutton" value="'.$activeModules[$directory]['submit'].'">';
	if ($activeModules[$directory]['reset']) {
		echo ' <input type="reset" class="mod_form_resetbutton" value="'.$activeModules[$directory]['reset'].'">';
	}
}
echo '</form>';
echo $menu_license;

?>