<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Form"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1e / July 2013 ==

*/

if (!defined('CPO')) exit;

$secIcons=array('', '&copysr;', '&copy;');
$secTexts=array(__('public rubric'), __('personalized rubric'), __('closed rubric'));

?>

<script type="text/javascript"><!--

function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+350+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-350+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 

function openDialog(URL, name, width, height, parameters)
{
    // set some defaults if not given
    if (!name)   name   = '';
    if (!width)  width  = screen.width/2;
    if (!height) height = screen.height/2;
    if (!parameters) parameters = 'scrollbars=no, resizable=yes';

    xOffset = (screen.width  - width)/2;
    yOffset = (screen.height - height)/2;

    newwindow = window.open(URL, name, 'width='+width+', height='+height+', top='+yOffset+', left='+xOffset+', '+parameters);
    return newwindow;
}

var whichColor = '';

function pickedColor(color)
{
    if (!color) return;
    eval('document.modulesettings.'+whichColor+'.value="'+color+'";');
    eval('document.modulesettings.'+whichColor+'_show.style.backgroundColor="'+color+'";');
}

function getPickedColor()
{
    return eval(whichColor+'.value;');
}

function colorize()
{
    document.getElementById('text_color_show').style.backgroundColor = document.getElementById('text_color').value;
    document.getElementById('shadow_color_show').style.backgroundColor = document.getElementById('shadow_color').value;
}

//--> </script>


<?php

include(CPO_BASEDIR.$directory.'/includes/form_functions.inc.php');
include(CPO_BASEDIR.$directory.'/includes/actions.inc.php');

	printPageHeader(
		__('Form'),
		sprintf(__('In this view you can work on the settings of the formfolder <i>%s</i>.'),$directory),
		modHelp('settings','form'),
		true,
		'modules'
	);

require(CPO_BASEDIR."_include/message.php");

// ******** GENERAL SETTINGS ***************
		echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
		echo '<input type="hidden" name="go" value="1">';
		echo '<input type="hidden" name="list" value="options">';
 
		include(CPO_BASEDIR.$directory.'/includes/license.inc.php');

if (isset($mfbreak) && $mfbreak!==true) {
// ******** FORM SETTINGS ***************
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Form settings').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Auto release:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[release]" size="1">';
			$selyes = ($activeModules[$directory]['release']=="yes") ? ' selected="selected"' :'';
			$selno = ($activeModules[$directory]['release']=="no") ? ' selected="selected"' :'';
			echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
			echo '<option value="no"'.$selno.'>'.__('no').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Send mail:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[mail]" size="1">';
			$selyes = ($activeModules[$directory]['mail']=="yes") ? ' selected="selected"' :'';
			$selno = ($activeModules[$directory]['mail']=="no") ? ' selected="selected"' :'';
			echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
			echo '<option value="no"'.$selno.'>'.__('no').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Mail prefix:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[mail_prefix]" value="'.$activeModules[$directory]['mail_prefix'].'" maxlength="255">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Title divider:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[divider]" value="'.$activeModules[$directory]['divider'].'" maxlength="255">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Confirmation:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[confirmation]" size="1">';
			$selnone = ($activeModules[$directory]['confirmation']=="none") ? ' selected="selected"' :'';
			$selmail = ($activeModules[$directory]['confirmation']=="mail") ? ' selected="selected"' :'';
			$selpage = ($activeModules[$directory]['confirmation']=="page") ? ' selected="selected"' :'';
			$selboth = ($activeModules[$directory]['confirmation']=="both") ? ' selected="selected"' :'';
			echo '<option value="none"'.$selnone.'>'.__('none').'</option>';
			echo '<option value="mail"'.$selmail.'>'.__('confirmation mail').'</option>';
			echo '<option value="page"'.$selpage.'>'.__('confirmation page').'</option>';
			echo '<option value="both"'.$selboth.'>'.__('confirmation mail and page').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Recipient email adress(es):');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[recipient]" value="'.$activeModules[$directory]['recipient'].'">';
            echo '<br />Syntax:<br />name@domain.tld<br />Real Name &lt;name@domain.tld&gt;<br />name1@domain1.tld, name2@domain2.tld<br />Real Name 1 &lt;name1@domain1.tld&gt;, Real Name 2 &lt;name2@domain2.tld&gt;';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('CC email adress(es):');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[cc]" value="'.$activeModules[$directory]['cc'].'">';
            echo '<br /><img src="'.SKIN_URL.'sym_info.gif" /> '.__('This will be used as copy adress on status mails, otherwise mails with special parsed content will be delivered.');
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('BCC email adress(es):');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[bcc]" value="'.$activeModules[$directory]['bcc'].'">';
            echo '<br /><img src="'.SKIN_URL.'sym_info.gif" /> '.__('This will be used as copy adress on status mails, otherwise mails with special parsed content will be delivered.');
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Sender email adress:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[sender]" value="'.$activeModules[$directory]['sender'].'" maxlength="255">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Envelope sender adress:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[envelope]" value="'.$activeModules[$directory]['envelope'].'" maxlength="255">';
            echo '<br />'.__('fills the -f parameter on sendmail').' (additional_parameters)';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Sender usage:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[senderUsage]" size="1">';
			$selsender = ($activeModules[$directory]['senderUsage']=="sender") ? ' selected="selected"' :'';
			$selrecipient = ($activeModules[$directory]['senderUsage']=="recipient") ? ' selected="selected"' :'';
			$seluser = ($activeModules[$directory]['senderUsage']=="user") ? ' selected="selected"' :'';
			echo '<option value="sender"'.$selsender.'>'.__('sender').'</option>';
			echo '<option value="recipient"'.$selrecipient.'>'.__('recipient').'</option>';
			echo '<option value="user"'.$seluser.'>'.__('user').'</option>';
			echo '</select><br />'.__('"from" adress for mail to recipient, mail to user always uses sender adress');;
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Mail subject:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[subject]" value="'.$activeModules[$directory]['subject'].'" maxlength="255">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Encoding:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[encoding]" size="1">';
			$selnone = ($activeModules[$directory]['encoding']==0) ? ' selected="selected"' :'';
			$seldefault = ($activeModules[$directory]['encoding']=="default") ? ' selected="selected"' :'';
			$seliso = ($activeModules[$directory]['encoding']=="iso") ? ' selected="selected"' :'';
			$seliso15 = ($activeModules[$directory]['encoding']=="iso15") ? ' selected="selected"' :'';
			$selutf8 = ($activeModules[$directory]['encoding']=="utf8") ? ' selected="selected"' :'';
			echo '<option value="0"'.$selnone.'>'.__('none').'</option>';
			echo '<option value="default"'.$seldefault.'>'.__('server default').' '.iconv_get_encoding('output_encoding').'</option>';
			echo '<option value="iso"'.$seliso.'>'.__('force ISO-8859-1').'</option>';
			echo '<option value="iso15"'.$seliso15.'>'.__('force ISO-8859-15').'</option>';
			echo '<option value="utf8"'.$selutf8.'>'.__('force UTF-8').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Default error message:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[defaultError]" value="'.$activeModules[$directory]['defaultError'].'" maxlength="255">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Default input error:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[defaultInputError]" value="'.$activeModules[$directory]['defaultInputError'].'" maxlength="255">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Error template:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 50px;" class="text inputwidth" name="cpoFormNew[error_template]" id="error_template">'.$activeModules[$directory]['error_template'].'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'error_template\', this);return false" id="lnk">'.__('enlarge').'</a><br />';
			echo __('Required Placeholders:<br />### ERROR_MESSAGE ### will be replaced by the error message<br />### FORM_FIELD ### will be replaced by the corresponding form-filed');
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Message box template:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 50px;" class="text inputwidth" name="cpoFormNew[message_box]" id="message_box">'.$activeModules[$directory]['message_box'].'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'message_box\', this);return false" id="lnk">'.__('enlarge').'</a><br />';
			echo __('Required Placeholders:<br />### MESSAGE_LIST ### will be replaced by the messages<br />Use <i>&lt;!-- mod_form_message_string --&gt;</i> in the template at the dedired position to show this message box.');
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Success message:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[successMessage]" value="'.$activeModules[$directory]['successMessage'].'">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Conversion code:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 50px;" class="text inputwidth" name="cpoFormNew[conversionCode]" id="conversionCode">'.$activeModules[$directory]['conversionCode'].'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'conversionCode\', this);return false" id="lnk">'.__('enlarge').'</a><br />';
			echo __('Fill in e.g. your Google Adwords conversion code.');
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Select rubric to store data:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[rubric]" size="1">';
			echo '<option value="-1">-- '.__('none').' --</option>';
			$db->query('SELECT id, name, seclevel '
				.'FROM '.CPO_RUBRIC.' ORDER BY name ASC');
			while ($db->next_record()) {
				$sel = ($db->v('id')==$activeModules[$directory]['rubric']) ? ' selected="selected"' :'';
                $secIcon = ' '.$secIcons[$db->v('seclevel')];
                $secText = $secTexts[$db->v('seclevel')];
				echo '<option value="'.$db->v('id').'"'.$sel.' title="'.$secText.'">'.$db->v('name').$secIcon.'</option>';
			}
			echo '</select>';
            echo '<br />'.__('Selecting "none" will drop the form data after sending the mail!');
            echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Select template:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[template]" size="1">';
			$db->query('SELECT id, name '
				.'FROM '.CPO_TEMPLATES.' ORDER BY name ASC');
			while ($db->next_record()) {
				$sel = ($db->v('id')==$activeModules[$directory]['template']) ? ' selected="selected"' :'';
				echo '<option value="'.$db->v('id').'"'.$sel.'>'.$db->v('name').'</option>';
			}
			echo '</select><br />';
            printf(__('If you want some example templates to be installed please run the <a href="%s">template-setup</a>.'),
				BASE_ABS.$directory.'/setup.php');;
            echo '<br /><br />'.__('Just use the standard placeholders that will be converted to form input fields.<br />The following special placeholders are available:');
            echo '<br />&lt;!-- admin --&gt; ... &lt;!-- /admin --&gt; '.__('only shown in admin mail');
            echo '<br />&lt;!-- user --&gt; ... &lt;!-- /user --&gt; '.__('only shown in user mail');
            echo '<br />&lt;!-- cc --&gt; ... &lt;!-- /cc --&gt; '.__('only shown in CC mail');
            echo '<br />&lt;!-- bcc --&gt; ... &lt;!-- /bcc --&gt; '.__('only shown in BCC mail');
            echo '<br />&lt;!-- ifSet/ifNotSet: mod_form; --&gt; '.__('use to distinguish between displaying form and article');
            echo '<br />&lt;!-- ifSet: stepX; --&gt; (X=1-3) '.__('use to show different stages of editing (when using confirmation settings)');
            echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Form method:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[method]" size="1">';
			$selget = ($activeModules[$directory]['method']=="GET") ? ' selected="selected"' :'';
			$selpost = ($activeModules[$directory]['method']=="POST") ? ' selected="selected"' :'';
			echo '<option value="GET"'.$selget.'>GET</option>';
			echo '<option value="POST"'.$selpost.'>POST</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Show articles:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[showArticles]" size="1">';
			$selnone = ($activeModules[$directory]['showArticles']=="none") ? ' selected="selected"' :'';
			$selbefore = ($activeModules[$directory]['showArticles']=="before") ? ' selected="selected"' :'';
			$selafter = ($activeModules[$directory]['showArticles']=="after") ? ' selected="selected"' :'';
			echo '<option value="none"'.$selnone.'>'.__('none').'</option>';
			echo '<option value="before"'.$selbefore.'>'.__('above form').'</option>';
			echo '<option value="after"'.$selafter.'>'.__('below form').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Hide articles on submit:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[hideArticles]" size="1">';
			$selyes = ($activeModules[$directory]['hideArticles']=="yes") ? ' selected="selected"' :'';
			$selno = ($activeModules[$directory]['hideArticles']=="no") ? ' selected="selected"' :'';
			echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
			echo '<option value="no"'.$selno.'>'.__('no').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		if (version_compare($CPO['version'], '4.1.0') >= 0) {
			echo '<tr>';
				echo '<td class="leftrow">';
				echo __('Page-Template:');
				echo '</td>';
				echo '<td class="rightrow">';
				echo '<select name="cpoFormNew[pagetemplate_index]" size="1">';
				echo '<option value="-2"'
					.($activeModules[$directory]['pagetemplate_index']==-2 ? ' selected' : '')
					.'>--- '.__('act like enclosing rubric').' ---</option>';
				echo '<option value="0"'
					.($activeModules[$directory]['pagetemplate_index']==0 ? ' selected' : '')
					.'>--- '.___('Use header and footer files').' ---</option>';
				$query = 'SELECT id, name FROM '.CPO_PAGETEMPLATES.' '
						.'ORDER BY name';
				$db->query($query);
				$_pagetemplates = array();
				while ($db->next_record()) {
					$_pagetemplates[$db->v('id')] = $db->v('name');
				}
				foreach ($_pagetemplates as $k=>$v) {
					echo '<option value="'.htmlspecialchars($k, ENT_COMPAT, 'ISO-8859-15').'"'
						.($activeModules[$directory]['pagetemplate_index']==$k ? ' selected' : '')
						.'>'.htmlspecialchars($v, ENT_COMPAT, 'ISO-8859-15').'</option>';
				}
				echo '</select>';
				echo '</td>';
			echo '</tr>';
		}
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Submit caption:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[submit]" value="'.$activeModules[$directory]['submit'].'" maxlength="255">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Reset caption:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[reset]" value="'.$activeModules[$directory]['reset'].'" maxlength="255">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Custom HTML submit code:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 50px;" class="text inputwidth" name="cpoFormNew[submit_template]" id="submit_template">'.$activeModules[$directory]['submit_template'].'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'submit_template\', this);return false" id="lnk">'.__('enlarge').'</a>';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
		echo '</tr>';
		echo '</tbody></table>';

// ******** UPLOAD SETTINGS ***************
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Upload settings').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Enable upload:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[upload]" size="1">';
			$selyes = ($activeModules[$directory]['upload']=="yes") ? ' selected="selected"' :'';
			$selno = ($activeModules[$directory]['upload']=="no") ? ' selected="selected"' :'';
			echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
			echo '<option value="no"'.$selno.'>'.__('no').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Upload remark:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[fileError]" value="'.$activeModules[$directory]['fileError'].'">';
            echo '<br />'.__('This will be displayed to remind the user to choose files for upload again. If you are using file-uploads this schould be filled with an explaing message.');
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Warning filetype image:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[warnImage]" value="'.$activeModules[$directory]['warnImage'].'">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Warning filetype file:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[warnFile]" value="'.$activeModules[$directory]['warnFile'].'">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Allowed extensions:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[extensions]" value="'.$activeModules[$directory]['extensions'].'">';
            echo '<br />'.__('Fill in the allowed file extensions divided by whitespaces.');
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Warning non-allowed filetype:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[nonallowedExt]" value="'.$activeModules[$directory]['nonallowedExt'].'">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('File rename:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[rename]" size="1">';
			$selyes = ($activeModules[$directory]['rename']=="yes") ? ' selected="selected"' :'';
			$selno = ($activeModules[$directory]['rename']=="no") ? ' selected="selected"' :'';
			echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
			echo '<option value="no"'.$selno.'>'.__('no').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Upload user:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[uploaduser]" size="1">';
			$query = "SELECT id, user, name FROM ".CPO_USER." ORDER BY name";
			DEBUG(1, $query, __FILE__, __LINE__);
			$db = new DB;
			$db->query($query); 
			while($db->next_record()) {
				$user_id  = $db->v('id');
				$user_user = $db->v('user');
				$user_name = $db->v('name');
				$sel = ($activeModules[$directory]['uploaduser']==$user_id) ? ' selected="selected"' :'';
				echo '<option value="'.$user_id.'"'.$sel.'>'.$user_name.' ['.$user_user.']</option>';
			}
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
		echo '</tr>';
		echo '</tbody></table>';

// ******** CONFIRM SETTINGS ***************
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Confirm settings').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Enable confirmation:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[confirm]" size="1">';
			$selyes = ($activeModules[$directory]['confirm']=="yes") ? ' selected="selected"' :'';
			$selno = ($activeModules[$directory]['confirm']=="no") ? ' selected="selected"' :'';
			echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
			echo '<option value="no"'.$selno.'>'.__('no').'</option>';
			echo '</select>';
            echo '<br />'.__('If choosing yes and wanting a confirmation by the user, you have to choose "mail" on the settings above. Otherwise the confirmation is done by the recipient.');
            echo '<br /><br />'.'<img src="'.SKIN_URL.'sym_note.gif" /> <b>'.__('Notice:').'</b> '.__('A rubric to store the data must be chosen above, otherwise there will be nothing to be confirmed!');
            echo '<br /><br />'.__('The following placeholders are available:');
            echo '<br />&lt;!-- FORM: confirm; --&gt;';
            echo '<br />&lt;!-- FORM: block; --&gt;';
            echo '<br />&lt;!-- FORM: delete; --&gt;';
            echo '<br />&lt;!-- FORM: expire; --&gt;';
            echo '<br />&lt;!-- FORM: step1; --&gt;';
            echo '<br />&lt;!-- FORM: step2; --&gt;';
            echo '<br />&lt;!-- FORM: step3; --&gt;';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Salt:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoFormNew[salt]" value="'.$activeModules[$directory]['salt'].'" size="10" maxlength="255"> ';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Confirmation message:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[confirmation_text]" value="'.$activeModules[$directory]['confirmation_text'].'">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Show confirmed content:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[show_confirmed]" size="1">';
			$selyes = ($activeModules[$directory]['show_confirmed']=="yes") ? ' selected="selected"' :'';
			$selno = ($activeModules[$directory]['show_confirmed']=="no") ? ' selected="selected"' :'';
			echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
			echo '<option value="no"'.$selno.'>'.__('no').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Confirmation fail message:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[confirmation_failed]" value="'.$activeModules[$directory]['confirmation_failed'].'">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Delete message:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[deleted]" value="'.$activeModules[$directory]['deleted'].'">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Block message:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[blocked]" value="'.$activeModules[$directory]['blocked'].'">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Expire message:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[expired]" value="'.$activeModules[$directory]['expired'].'">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Automatic expiration:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[auto_expire]" size="1">';
			$selyes = ($activeModules[$directory]['auto_expire']=="yes") ? ' selected="selected"' :'';
			$selno = ($activeModules[$directory]['auto_expire']=="no") ? ' selected="selected"' :'';
			echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
			echo '<option value="no"'.$selno.'>'.__('no').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Expire time:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoFormNew[expire_time]" value="'.$activeModules[$directory]['expire_time'].'" size="3" maxlength="255"> ';
            echo __('days');
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Confirm user:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[confirmuser]" size="1">';
            $sel = ($activeModules[$directory]['confirmuser']==0) ? ' selected="selected"' :'';
            echo '<option value="0"'.$sel.'>--- '.__('no user').' ---</option>';
			$query = "SELECT id, user, name FROM ".CPO_USER." ORDER BY name";
			DEBUG(1, $query, __FILE__, __LINE__);
			$db = new DB;
			$db->query($query); 
			while($db->next_record()) {
				$user_id  = $db->v('id');
				$user_user = $db->v('user');
				$user_name = $db->v('name');
				$sel = ($activeModules[$directory]['confirmuser']==$user_id) ? ' selected="selected"' :'';
				echo '<option value="'.$user_id.'"'.$sel.'>'.$user_name.' ['.$user_user.']</option>';
			}
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Send confirmation mail:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<img src="'.SKIN_URL.'sym_note.gif" /> <b>'.__('Notice:').'</b> '.__('This will possibly change the above chosen send mail events!');
           echo '<table>';
            echo '<tr>';
                echo '<td></td>';
                echo '<td>'.__('First Entry').'</td>';
                echo '<td>'.__('Status').'**</td>';
                echo '<td>'.__('Step 1').'</td>';
                echo '<td>'.__('Step 2').'</td>';
                echo '<td>'.__('Step 3').'</td>';
            echo '</tr>';
            echo '<tr>';
                echo '<td>'.__('Recipient').'</td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[a0]" value="yes" '.(($activeModules[$directory]['a0']=='yes') ? ' checked="checked"' :'').' /></td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[as]" value="yes" '.(($activeModules[$directory]['as']=='yes') ? ' checked="checked"' :'').' />&nbsp;&nbsp;</td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[a1]" value="yes" '.(($activeModules[$directory]['a1']=='yes') ? ' checked="checked"' :'').' /></td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[a2]" value="yes" '.(($activeModules[$directory]['a2']=='yes') ? ' checked="checked"' :'').' /></td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[a3]" value="yes" '.(($activeModules[$directory]['a3']=='yes') ? ' checked="checked"' :'').' /></td>';
            echo '</tr>';
            echo '<tr>';
                echo '<td>'.__('CC').'</td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[c0]" value="yes" '.(($activeModules[$directory]['c0']=='yes') ? ' checked="checked"' :'').' /></td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[cs]" value="yes" '.(($activeModules[$directory]['cs']=='yes') ? ' checked="checked"' :'').' />*</td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[c1]" value="yes" '.(($activeModules[$directory]['c1']=='yes') ? ' checked="checked"' :'').' /></td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[c2]" value="yes" '.(($activeModules[$directory]['c2']=='yes') ? ' checked="checked"' :'').' /></td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[c3]" value="yes" '.(($activeModules[$directory]['c3']=='yes') ? ' checked="checked"' :'').' /></td>';
            echo '</tr>';
            echo '<tr>';
                echo '<td>'.__('BCC').'</td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[b0]" value="yes" '.(($activeModules[$directory]['b0']=='yes') ? ' checked="checked"' :'').' /></td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[bs]" value="yes" '.(($activeModules[$directory]['bs']=='yes') ? ' checked="checked"' :'').' />*</td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[b1]" value="yes" '.(($activeModules[$directory]['b1']=='yes') ? ' checked="checked"' :'').' /></td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[b2]" value="yes" '.(($activeModules[$directory]['b2']=='yes') ? ' checked="checked"' :'').' /></td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[b3]" value="yes" '.(($activeModules[$directory]['b3']=='yes') ? ' checked="checked"' :'').' /></td>';
            echo '</tr>';
            echo '<tr>';
                echo '<td>'.__('User').'</td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[u0]" value="yes" '.(($activeModules[$directory]['u0']=='yes') ? ' checked="checked"' :'').' /></td>';
                echo '<td style="text-align:center;"><!--<input type="checkbox" name="cpoFormNew[us]" value="yes" '.(($activeModules[$directory]['us']=='yes') ? ' checked="checked"' :'').' />--></td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[u1]" value="yes" '.(($activeModules[$directory]['u1']=='yes') ? ' checked="checked"' :'').' /></td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[u2]" value="yes" '.(($activeModules[$directory]['u2']=='yes') ? ' checked="checked"' :'').' /></td>';
                echo '<td style="text-align:center;"><input type="checkbox" name="cpoFormNew[u3]" value="yes" '.(($activeModules[$directory]['u3']=='yes') ? ' checked="checked"' :'').' /></td>';
            echo '</tr>';
            echo '</table>';
            echo '<img src="'.SKIN_URL.'sym_info.gif" /> <b>*</b> '.__('Copies will only be sent if recipient is also chosen.');
            echo '<br /><img src="'.SKIN_URL.'sym_info.gif" /> <b>**</b> '.__('Status mails will be delivered to all recipients because the content is not parsed.');
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
		echo '</tr>';
		echo '</tbody></table>';

// ******** CAPTCHA SETTINGS ***************
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Captcha settings').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Use captcha:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[captcha]" size="1">';
			$selyes = ($activeModules[$directory]['captcha']=="yes") ? ' selected="selected"' :'';
			$selno = ($activeModules[$directory]['captcha']=="no") ? ' selected="selected"' :'';
			echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
			echo '<option value="no"'.$selno.'>'.__('no').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Captcha template:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 100px;" class="text inputwidth" name="cpoFormNew[captcha_template]" id="captcha_template">'.$activeModules[$directory]['captcha_template'].'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'captcha_template\', this);return false" id="lnk">'.__('enlarge').'</a>';
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Captcha error message:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[captcha_error]" value="'.$activeModules[$directory]['captcha_error'].'">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Captcha image:');
            echo '</td>';
            echo '<td class="rightrow">';
			$wm_select = '';
			$wmfiles = formlistimagefiles(CPO_BASEDIR.$activeModules[$directory]['directory'].'/captcha');
			for ($df=0;$df<count($wmfiles);$df++)  {
				$selected = '';
				if ($activeModules[$directory]['pic'] == $wmfiles[$df])  $selected = ' checked="checked"';
				$wm_select .= '<div style="float:left;width:170px;padding:5px 0;"><input type="radio" name="cpoFormNew[pic]" value="'.$wmfiles[$df].'" '.$selected.'>&nbsp;<img src="captcha/'.$wmfiles[$df].'" align="absmiddle" /></div>'."\n ";
			}
			echo $wm_select;
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Captcha font:');
            echo '</td>';
            echo '<td class="rightrow">';
			$ttf_select = '';
			$ttffiles = formlistTTFfiles(CPO_BASEDIR.$activeModules[$directory]['directory'].'/captcha');
			for ($df=0;$df<count($ttffiles);$df++)  {
				$selected = '';
				if ($activeModules[$directory]['font'] == $ttffiles[$df])  $selected = ' checked="checked"';
				$ttf_select .= '<div style="float:left;width:170px;padding:5px 0;"><input type="radio" name="cpoFormNew[font]" value="'.$ttffiles[$df].'"'.$selected.'>&nbsp;<img src="captcha/captcha.php?font='.$ttffiles[$df].'&'.time().'" align="absmiddle" /></div>'."\n ";
			}
			echo $ttf_select;
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Text color:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<input type="text" class="text" id="text_color" name="cpoFormNew[text_color]" value="'.strtoupper($activeModules[$directory]['text_color']).'" size="7" onchange="colorize();"><INPUT TYPE="text" class="text" id="text_color_show" size="1" value="" style="cursor:hand; width=20px" readonly onClick="whichColor=\'text_color\'; openDialog(\'../_editor/colorpicker.php\', \'\', 530, 285)">&nbsp;&nbsp;';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Shadow color:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<input type="text" class="text" id="shadow_color" name="cpoFormNew[shadow_color]" value="'.strtoupper($activeModules[$directory]['shadow_color']).'" size="7" onchange="colorize();"><INPUT TYPE="text" class="text" id="shadow_color_show" size="1" value="" style="cursor:hand; width=20px" readonly onClick="whichColor=\'shadow_color\'; openDialog(\'../_editor/colorpicker.php\', \'\', 530, 285)">&nbsp;&nbsp;';
            echo '</td>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Style:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoFormNew[style]" size="1">';
			$seloutline = ($activeModules[$directory]['style']=="outline") ? ' selected="selected"' :'';
			$selshadow = ($activeModules[$directory]['style']=="shadow") ? ' selected="selected"' :'';
			echo '<option value="outline"'.$seloutline.'>'.__('outline').'</option>';
			echo '<option value="shadow"'.$selshadow.'>'.__('shadow').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';

		
		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
		echo '</tr>';
		echo '</tbody></table>';

// ******** REMAIL SETTINGS ***************
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Re-mail settings').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo '';
            echo '</td>';
            echo '<td class="rightrow">';
            echo __('To use this option you need to install a modified Version of mod_text. And you need to modify _admin/articles.php.');
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Subject:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[remail_subject]" value="'.$activeModules[$directory]['remail_subject'].'" maxlength="255">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Message:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoFormNew[remail_message]" value="'.$activeModules[$directory]['remail_message'].'">';
            echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
		echo '</tr>';
		echo '</tbody></table>';

// ******** EOF ***************
}
		echo '</form>';



?>
<script type="text/javascript">
<!--
	colorize();
//-->
</script>