<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Form"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1e / July 2013 ==

*/

  if (!defined('CPO')) exit;

  global $_type, $typeNames, $_name, $content, $db_content, $activeModules, $directory, $db_template, $db_nr, $db_titel, $db_pub_datum, $form_mails, $step;

	if (!function_exists('keyFix'))  {
		function keyFix($key)
		{
		  $find = array (" ",".","[","]","%","","$","?","=");
		  $replace = array ("_");
		  return str_replace($find,$replace,$key);
		}
	}

	if ($activeModules[$directory]['template']) // dies ist das Formular-Modul-Verzeichnis
	{
        if (!$form_mails)  {
            $query = sprintf("SELECT fieldname, ttype FROM ".CPO_PLACEHOLDERS." "
               ."WHERE templates_id='%d'", $activeModules[$directory]['template']);
            DEBUG(1, $query, __FILE__, __LINE__); 
            $db_content->query($query);

            while ($db_content->next_record()) {
    //			$content[$db_content->v('fieldname').' ('.$_type.')'] = $_REQUEST['content'][$db_content->v('fieldname').' ('.$_type.')'];

                // Vorbelegung mittels URL
                if (array_key_exists($db_content->v('fieldname'),$_REQUEST)) {
                    $_REQUEST['content'][$db_content->v('fieldname').' ('.$typeNames[$db_content->v('ttype')].')'][$typeNames[$db_content->v('ttype')]] = $_REQUEST[$db_content->v('fieldname')];
                } 
                initVar($_REQUEST['content'][$db_content->v('fieldname').' ('.$typeNames[$db_content->v('ttype')].')'][$typeNames[$db_content->v('ttype')]],'');

                // danach die Daten des $_REQUEST-Arrays in das Parser-Array $content bernehmen
                $content[$db_content->v('fieldname').' ('.$_type.')'] = array(
                    'type'   =>$_type,
    //				'otype'   =>$typeNames[$db_content->v('ttype')],
                    'name'   =>$db_content->v('fieldname'),
                    'input'  =>$_REQUEST['content'][$db_content->v('fieldname').' ('.$typeNames[$db_content->v('ttype')].')'][$typeNames[$db_content->v('ttype')]]
                );


                // ifset in URL
                if (isset($_REQUEST['ifset'.keyFix($db_content->v('fieldname'))]) && ($_REQUEST[keyFix($db_content->v('fieldname'))] == ''))  { 
                    unset ($content[$db_content->v('fieldname').' ('.$_type.')']); 
                } 
            }
        }

		// mod_form belegen, um ifSet und ifNotSet zu erlauben
		$content['mod_form (text)'] = array(
			'type'   =>'text',
			'name'   =>'mod_form',
			'text'   =>'mod_form'
		);
        if (isset($step))  {
            // mod_form_step1+ belegen, um ifSet und ifNotSet zu erlauben
            $content['mod_form_step'.$step.' (text)'] = array(
                'type'   =>'text',
                'name'   =>'mod_form_step'.$step,
                'text'   =>'mod_form_step'.$step
            );
        }
		if ($activeModules[$directory]['confirm']=="yes")  {
            $salt = $activeModules[$directory]['salt'];
			// mod_form confirmation
			$content['mod_form_confirmation (text)'] = array(
				'type'   =>'text',
				'name'   =>'mod_form_confirmation',
				'text'   =>'mod_form_confirmation'
			);
			$content['confirm (form)'] = array(
				'type'   =>'form',
				'name'   =>'confirm',
				'hash'   =>md5($db_titel. $db_nr.'confirm'.$salt),
				'text'   =>BASE_ABS.$directory.'/confirm.php?nr='.$db_nr.'&hash='.md5($db_titel. $db_nr.'confirm'.$salt)
			);
			$content['delete (form)'] = array(
				'type'   =>'form',
				'name'   =>'delete',
				'hash'   =>md5($db_titel. $db_nr.'delete'.$salt),
				'text'   =>BASE_ABS.$directory.'/confirm.php?nr='.$db_nr.'&hash='.md5($db_titel. $db_nr.'delete'.$salt)
			);
			$content['block (form)'] = array(
				'type'   =>'form',
				'name'   =>'block',
				'hash'   =>md5($db_titel. $db_nr.'block'.$salt),
				'text'   =>BASE_ABS.$directory.'/confirm.php?nr='.$db_nr.'&hash='.md5($db_titel. $db_nr.'block'.$salt)
			);
			$content['expire (form)'] = array(
				'type'   =>'form',
				'name'   =>'expire',
				'hash'   =>md5($db_titel. $db_nr.'expire'.$salt),
				'text'   =>BASE_ABS.$directory.'/confirm.php?nr='.$db_nr.'&hash='.md5($db_titel. $db_nr.'expire'.$salt)
			);
			$content['step0 (form)'] = array(
				'type'   =>'form',
				'name'   =>'step0',
				'hash'   =>md5($db_titel. $db_nr.'step0'.$salt),
				'text'   =>BASE_ABS.$directory.'/confirm.php?nr='.$db_nr.'&hash='.md5($db_titel. $db_nr.'step0'.$salt)
			);
			$content['step1 (form)'] = array(
				'type'   =>'form',
				'name'   =>'step1',
				'hash'   =>md5($db_titel. $db_nr.'step1'.$salt),
				'text'   =>BASE_ABS.$directory.'/confirm.php?nr='.$db_nr.'&hash='.md5($db_titel. $db_nr.'step1'.$salt)
			);
			$content['step2 (form)'] = array(
				'type'   =>'form',
				'name'   =>'step2',
				'hash'   =>md5($db_titel. $db_nr.'step2'.$salt),
				'text'   =>BASE_ABS.$directory.'/confirm.php?nr='.$db_nr.'&hash='.md5($db_titel. $db_nr.'step2'.$salt)
			);
            $content['step3 (form)'] = array(
				'type'   =>'form',
				'name'   =>'step3',
				'hash'   =>md5($db_titel. $db_nr.'step3'.$salt),
				'text'   =>BASE_ABS.$directory.'/confirm.php?nr='.$db_nr.'&hash='.md5($db_titel. $db_nr.'step3'.$salt)
			);

		}
	}
	else // ein normaler Artikel!
	{
		foreach ($content AS $texts) {
			if ($texts['type'] == 'form') continue;
			if ($texts['type'] == 'value') $textcontent = $texts[strtolower($texts['name'])];
			if ($texts['type'] == 'text')  $textcontent = $texts['text'];
			if ($texts['type'] == 'html')  $textcontent = $texts['html'];
			if ($texts['type'] == 'file')  $textcontent = $texts['file'];
			if ($texts['type'] == 'image') $textcontent = $texts['file'];
			if ($texts['type'] == 'url')   $textcontent = $texts['url'];
			$content[$texts['name'].' ('.$_type.')'] = array(
				'type'   =>$_type,
				'name'   =>$texts['name'],
				'text'   =>$textcontent
			);
		}
	}
?>
