<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "ImageSize"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.4c / September 2013

*/

// some vars
initVar($divider, ' - ');

$img_attribs = explode(",",str_replace(' ','',$activeModules['Imagetool']['attributes']));
foreach($img_attribs AS $img_attrib)  {
	$temp_replace[$img_attrib] = '### IMG_'.strtoupper($img_attrib).' ###';
	$temp_with[$img_attrib] = '';
}

$suchmuster = '/<img[^>]+>/si';
$original_prefix = $activeModules['Imagetool']['prefix'];
preg_match_all($suchmuster, $template_datei, $img_treffer);
  
$aliases = array();
$replace = array();
$with = array();
$host_search = array(
	BASE_ABS.'_data/',
	str_replace('http://','http://www.',BASE_ABS.'_data/'), //possibly with www
	str_replace('https://','https://www.',BASE_ABS.'_data/'), //possibly with www
	'http://'.$_SERVER["HTTP_HOST"].'/_data/',
	'https://'.$_SERVER["HTTP_HOST"].'/_data/',
	str_replace('http://','http://www.','http://'.$_SERVER["HTTP_HOST"].'/_data/'), //possibly with www
	str_replace('https://','https://www.','https://'.$_SERVER["HTTP_HOST"].'/_data/'), //possibly with www
	str_replace('www.','','http://'.$_SERVER["HTTP_HOST"]).'/_data/', //possibly without www
	str_replace('www.','','https://'.$_SERVER["HTTP_HOST"]).'/_data/', //possibly without www
    // any more ideas?
    );
    //print_r ($host_search);
if ($activeModules['Imagetool']['aliases'])
{
	$aliases = explode("\n",$activeModules['Imagetool']['aliases']);
	foreach($aliases AS $alias) $host_search[] = $alias;
}

foreach($img_treffer[0] AS $img_tag)  {
	$img = array();
    foreach ($img_attribs AS $img_attrib) { // alles auf null
        $imgattribname="img_".$img_attrib;
        $$imgattribname='';
    }
	preg_match_all('/('.implode("|",$img_attribs).')=("[^"]*"|[^"])/si', $img_tag, $img[$img_tag]); 
	foreach( $img[$img_tag][1] as $att_nr=>$img_att) {
		$imgtagname="img_".$img_att;
		$$imgtagname=str_replace('"','',$img[$img_tag][2][$att_nr]);
		$temp_replace[$img_att] = '### '.strtoupper($imgtagname).' ###';
		$temp_with[$img_att] = $$imgtagname;
	}
    if (isset($img_src) && trim($img_src)!='')  { // we have a source
        // error handling
        if ($img_src[0]=='/') continue; // pseudo-absolute notation with leading slash, will violate open_basedir restriction!
        if (strpos($img_src, '/_data/')===FALSE) continue; // not a CPO-handled file, missing "/_data/"
        // /error handling
        $original_file = str_replace('_data/','_data/'.$original_prefix, str_replace(array('"',"'"),'',$img_src)); // name the original!
        $original_file = str_replace($host_search, '../_data/', $original_file); // make it relative to the script!
        if (!file_exists($original_file)) continue;
        if (stristr($original_file,"_data")===FALSE) continue; // we are not looking for an uploaded file!!!
        $dim = @getimagesize($original_file);

        // should this better be conditional?
        $temp_replace['img_tag'] = '### IMG_TAG ###';
        $temp_with['img_tag'] = $img_tag;
        $temp_replace['zoom_file'] = '### ZOOM_FILE ###';
        $temp_with['zoom_file'] = $original_file;
        $temp_replace['zoom_width'] = '### ZOOM_WIDTH ###';
        $temp_with['zoom_width'] = $dim[0];
        $temp_replace['zoom_height'] = '### ZOOM_HEIGHT ###';
        $temp_with['zoom_height'] = $dim[1];
        $temp_replace['zoom_alt'] = '### ZOOM_ALT ###';
        $temp_with['zoom_alt'] = implode($divider,array($img_title,$activeModules['Imagetool']['alt_close']));
        $temp_replace['zoom_title'] = '### ZOOM_TITLE ###';
        $temp_with['zoom_title'] = implode($divider,array($img_title,$activeModules['Imagetool']['alt_close']));

        $temp_replace['enlarge_text'] = '### ENLARGE_TEXT ###';
        $temp_with['enlarge_text'] = $activeModules['Imagetool']['alt_open'];
        $temp_replace['close_text'] = '### CLOSE_TEXT ###';
        $temp_with['close_text'] = $activeModules['Imagetool']['alt_close'];

        $replace[] = $img_tag;
        $with[] = str_replace($temp_replace,$temp_with,$activeModules['Imagetool'][$activeModules['Imagetool']['fwsel']]);
    }
}

$template_datei = str_replace($replace, $with, $template_datei);
?>