<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

/*
    Durch das Array $conditionals lassen sich Newsletter weiter personalisieren.
    Der Schlssel wird als Platzhalter bereitgestellt und kann durch einen anderen
    Platzhalter "getriggert", also gesteuert, werden.
    Im ersten Beispiel wird der Platzhalter "Gruformel" in Abhngigkeit von der
    Anrede belegt.
    Die Platzhalter knnen in der bekannten Form <! Platzhaltername --> oder in
    der "sichtbaren" Form [! Platzhaltername --] verwendet werden.
    Vorraussetzung ist, da berhaupt personalsierte Felder fr die Newsletter-
    Empfnger eingerichtet wurden!

*/

$conditionals = array();
$conditionals['Gruformel'] = array(
        'trigger' => 'Anrede',
        'values' => array(
            'Herr' => 'Sehr geehrter Herr <!-- NL-RECIPIENT -->',
            'Frau' => 'Sehr geehrte Frau <!-- NL-RECIPIENT -->',
            'Firma' => 'Sehr geehrte Damen und Herren',
            '' => 'Sehr geehrte Damen und Herren'
            )
        );
$conditionals['other'] = array(
        'trigger' => 'something',
        'values' => array(
            'value1' => 'whatever <!-- NL-RECIPIENT -->',
            'value2' => 'whatever <!-- NL-RECIPIENT -->',
            'value3' => 'whatever'
            )
        );
