<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

// ******** EDIT RECEIVER ***************
if (isset($_GET['nr']))  {
		$query = "SELECT * "
				."FROM ".$dbPrefix."_mod_newsletter_adresses "
				."WHERE id = '".(int)$_GET['nr']."'";
		DEBUG(1, $query, __FILE__, __LINE__);
		$db->query($query);
		$db->next_record();

		$receiver_personal = unserialize($db->v('personalize'));
		$_POST['receiver_name'] = $db->v('name');
		$_POST['receiver_email'] = $db->v('email');
		$_POST['receiver_categories'] = $db->v('categories');
		$_POST['receiver_rank'] = $db->v('rank');
        $_POST['receiver_password'] = '';
		$rank = $db->v('rank');
		$categories = $db->v('categories');
		
		printPageHeader(
			__('Recipient Settings'),
			__('In this view please change the data in the form and then save.'),
			modHelp('recipients','newsletter'),
			true,
			'modules'
		);

		echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'">';
		echo '<input type="hidden" name="receiver" value="modify">';
		echo '<input type="hidden" name="id" value="'.(int)$_GET['nr'].'">';
} else {
		printPageHeader(
			__('Add new recipient'),
			__('In this view please fill out the form to create a new recipient.'),
			modHelp('recipients','newsletter'),
			true,
			'modules'
		);
		$_POST['receiver_categories'] = "all";
		$_POST['receiver_rank'] = $activeModules[$directory]['default_rank'];
		$rank = $activeModules[$directory]['default_rank'];
		$categories = "all";
        if(!isset($_POST['receiver_name'])) $_POST['receiver_name']='';
        if(!isset($_POST['receiver_email'])) $_POST['receiver_email']='';
        if(!isset($_POST['receiver_password'])) $_POST['receiver_password']='';


		echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'">';
		echo '<input type="hidden" name="receiver" value="create">';
}
		require(CPO_BASEDIR."_include/message.php");
		
		echo '<input type="hidden" name="list" value="email">';
 
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Edit recipient').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td style="white-space: nowrap; width=30%;">';
            echo __('Name:');
            echo '</td>';
            echo '<td style="white-space: nowrap; width=70%;">';
            echo '<input type="text" class="text" name="receiver_name" value="'.htmlspecialchars($_POST['receiver_name'], ENT_COMPAT, 'ISO-8859-15').'" size="20" maxlength="255">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td style="white-space: nowrap; width=30%;">';
            echo __('Email-adress:');
            echo '</td>';
            echo '<td style="white-space: nowrap; width=70%;">';
            echo '<input type="text" class="text inputwidth" name="receiver_email" value="'.htmlspecialchars($_POST['receiver_email'], ENT_COMPAT, 'ISO-8859-15').'" size="50" maxlength="255">';
            echo '</td>';
		echo '</tr>';

		if ($activeModules[$directory]['use_ranking'] == 'yes')  {
			echo '<tr>';
				echo '<td style="white-space: nowrap; width=30%;">';
				echo __('Actual rank:');
				echo '</td>';
				echo '<td style="width=70%;">';
				echo '<input type="text" class="text" name="receiver_rank" value="'.(int)$_POST['receiver_rank'].'" size="20" maxlength="255">';
				echo '</td>';
			echo '</tr>';
		} else {
			echo '<input type="hidden" name="receiver_rank" value="'.$rank.'">';
		}
		if ($activeModules[$directory]['use_categories'] == 'yes')  {
			echo '<tr>';
				echo '<td style="white-space: nowrap; width=30%;">';
				echo __('Newsletter categories:');
				echo '</td>';
				echo '<td style="width=70%;">';
				echo '<input type="text" class="text inputwidth" name="receiver_categories" value="'.htmlspecialchars($_POST['receiver_categories'], ENT_COMPAT, 'ISO-8859-15').'" size="20" maxlength="255">'.'<br />';
				echo sprintf(__('Separate the different categories by using a semicolon (;).<br />These are the categories chosen by the customer in his profile.<br />Actual availabe categories: %s.<br />For getting all categories use "all".'),$activeModules[$directory]['categories']);
				echo '</td>';
			echo '</tr>';
		} else {
			echo '<input type="hidden" name="receiver_categories" value="'.$categories.'">';
		}
		echo '<tr>';
			echo '<td style="white-space: nowrap; width=30%;">';
			echo __('Password:');
			echo '</td>';
			echo '<td style="width=70%;">';
			echo '<input type="password" class="text" name="receiver_password" value="'.htmlspecialchars($_POST['receiver_password'], ENT_COMPAT, 'ISO-8859-15').'" size="20" maxlength="255">';
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td style="white-space: nowrap;">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td style="white-space: nowrap;">';
            echo '<input type="submit" class="button" value="'.__('Save recipient settings').'">';
            echo '</td>';
		echo '</tr>';
		echo '</tbody></table>';

		if ($activeModules[$directory]['personal_fields'])  {
			// table header {{{
			echo '<table class="colored" style="width: 100%;">';
			echo '<thead><tr>';

			echo '<th colspan="2"><span>'.__('Personal fields').'</span></th>';

			echo '</tr></thead><tbody>';
			// }}}

			$fields = explode("\n", $activeModules[$directory]['personal_fields']);
			foreach($fields AS $field)
			{	
				$fieldset = explode(";", trim($field));
				echo '<tr>';
					echo '<td style="white-space: nowrap; width=30%;">';
					echo trim($fieldset[0]).($fieldset[1]==1 ? ' ('.__('necessary').')<input type="hidden" name="personal_necessary[]" value="'.trim($fieldset[0]).'" />' : '');
					echo '</td>';
					echo '<td style="width=70%;">';
					switch (strtolower($fieldset[2])) {
						case 'select':
							$values = explode (",", trim($fieldset[3]));
							echo '<select name="receiver_personal['.trim($fieldset[0]).']">';
							foreach ($values AS $v)  {
								$selected = ($receiver_personal[trim($fieldset[0])]==$v) ? ' selected="selected"' : '';
								echo '<option value="'.$v.'"'.$selected.'>'.$v.'</option>';
							}
							echo '</select>';
							break;
						case 'radio':
							$values = explode (",", trim($fieldset[3]));
							foreach ($values AS $v)  {
								$checked = ($receiver_personal[trim($fieldset[0])]==$v) ? ' checked="checked"' : '';
								echo '<input type="radio" name="receiver_personal['.trim($fieldset[0]).']" id="'.$v.'" value="'.$v.'"'.$checked.' /> <label for="'.$v.'">'.$v.'</label><br />';
							}
							break;
						case 'checkbox':
							$checked = ($receiver_personal[trim($fieldset[0])]) ? ' checked="checked"' : '';
							echo '<input type="checkbox" name="receiver_personal['.trim($fieldset[0]).']" value="1"'.$checked.' />';
							break;
						case 'text':
							echo '<input type="text" class="text" name="receiver_personal['.trim($fieldset[0]).']" value="'.$receiver_personal[trim($fieldset[0])].'" size="'.trim($fieldset[3]).'" maxlength="'.trim($fieldset[3]).'" />';
							break;
						default:
							echo '<input type="text" class="text inputwidth" name="receiver_personal['.trim($fieldset[0]).']" value="'.$receiver_personal[trim($fieldset[0])].'" maxlength="255" />';
							break;
					}
					echo '</td>';
				echo '</tr>';
			}
			echo '<tr>';
				echo '<td style="white-space: nowrap;">';
				echo '&nbsp;';
				echo '</td>';
				echo '<td style="white-space: nowrap;">';
				echo '<input type="submit" class="button" value="'.__('Save recipient settings').'">';
				echo '</td>';
			echo '</tr>';
			echo '</tbody></table>';
		}


	echo '</form>';



?>