<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

$field['default'] = 'tpl_first';
$field['php']     = 'tpl_javascript';
$field['js']      = 'tpl_javascript';
$field['detail']  = 'tpl_detail';

// the trick is to build an automatic template...
if (!isset($categories))  {		// if not already set by the sending module
	if (!isset($_REQUEST['categorie_check']))  {
		$categories = explode(";",$activeModules[$directory]['header'].";".$activeModules[$directory]['categories'].";".$activeModules[$directory]['footer']);
	} else {
		$categories = $_REQUEST['categorie_check'];
	}
}
if ($activeModules[$directory]['use_categories'] == 'no')  {
	$categories = explode(";",$activeModules[$directory]['header'].";".$activeModules[$directory]['main'].";".$activeModules[$directory]['footer']);
}
// ******** HTML ***********
$auto_template = '';
for ($c=0;$c<count($categories);$c++)  {
	$auto_template .= "\n\n<div id=\"".$categories[$c]."\">\n<!-- HTML: ".$categories[$c]."; -->\n</div>\n\n";
}
$template_datei_full = $auto_template;
$template_datei = $auto_template;
if (isset($template)) $templates_id = $template;

require('../_include/parser.php');

// make absolute links for images and files
$template_datei = str_replace('../_data/', BASE_URL.'_data/', $template_datei); 
$html_content = $template_datei;

// ******** Text ***********
$auto_template = '';
for ($c=0;$c<count($categories);$c++)  {
	if ($activeModules[$directory]['text_only'] == 'no')  {
		$auto_template .= '<!-- HTML: '.$categories[$c].'; strip_tags; -->';
	} else {
		$auto_template .= '<!-- Text: '.$categories[$c].'; -->';
	}
}
$template_datei_full = $auto_template;
$template_datei = $auto_template;
if (isset($template)) $templates_id = $template;

require('../_include/parser.php');

$text_content = $template_datei;
?>
