<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

$translation = array(
// inc_letters
'Edit newsletters'
=> 'Newsletter bearbeiten',
'In this view you can manage the existing newsletters.'
=> 'In dieser Ansicht knnenSie die vorhandenen Newsletter verwalten.',
'Newsletter/Author'
=> 'Newsletter/Autor',
'Create new newsletter'
=> 'Neuen Newsletter erfassen',
'Newsletter is being edited by %s.'
=> 'Der Newsletter wird bearbeitet von %s.',
'modify newsletter'
=>'Newsletter bearbeiten',
'copy newsletter'
=>'Newsletter kopieren',
'delete newsletter'
=>'Newsletter lschen',
'This is the only newsletter version.'
=>'Dies ist die einzige Version dieses Newsletters.',
'show all %d newsletter versions'
=>'Newsletter Versions Archiv (%d)',
'preview text newsletter'
=>'Vorschau Text-Newsletter',
'preview HTML newsletter'
=>'Vorschau HTML-Newsletter',
'send newsletter'
=>'Newsletter versenden',
//newsletter_articles
'Release newsletters'
=>'Newsletter Freigabe',
'Please choose the newsletter that is supposed to be changed.'
=>'Whlen Sie den Newsletter, der gendert werden soll',
'No newsletter within your release area were found.'
=>'Keine Newsletter in Ihrem Freigabe-Bereich gefunden',
'restore newsletter version'
=>'Newsletter-Version wiederherstellen',
'delete newsletter version'
=>'Newsletter-Version lschen',
'Create newsletter'
=>'Newsletter erstellen',
'Here you can create a newsletter.'
=>'In dieser Ansicht erstellen Sie einen neuen Newsletter.',
'Copy newsletter'
=>'Newsletter kopieren',
'Please change the data of the copied newsletter below.'
=>'In dieser Ansicht bearbeiten Sie die Kopie eines Newsletters',
'Edit newsletter'
=>'Newsletter bearbeiten',
'Here you can modify the newsletter %s.'
=>'In dieser Ansicht bearbeiten Sie den Newsletter %s ',
'Reject newsletter'
=>'Newsletter abweisen',
'You are going to reject the newsletter %s. You should probably send the author of the newsletter (%s <%s>) a message why you rejected his content.'
=>'Sind sind dabei den Artikel %s abzuweisen. Sie sollten dem Autor des Artikels (%s <%s>) eventuell eine Nachricht schicken, wieso Sie seinen Inhalt abgewiesen haben.',
'Delete newsletter'
=>'Newsletter lschen',
'You are going to delete the newsletter %s.'
=>'Sie sind dabei den Newsletter %s zu lschen.',
'Are you really sure you want to delete the newsletter %s?'
=>'Sind Sie wirklich sicher, dass Sie den Newsletter %s lschen wollen?',

'The article is already released.'
=>'Der Newsletter ist bereits freigegeben',
'The article is in state waiting and can not be blocked.'
=>'Der Newsletter kann nicht abgewiesen werden, da er noch auf Freigabe wartet',
'The article is already blocked.?'
=>'Der Newsletter ist bereits abgewiesen',
'The article was rejected and can not be blocked.'
=>'Der Newsletzter wurde abgelehnt und kann nicht abgewiesen werden',
'The article already was rejected.'
=>'Der Newsletter wurde bereits abgelehnt',
'You have no rights to change the status of an article.'
=>'Sie haben nicht die rechte, um den Status eines Newsletters zu ndern',
'release article'
=>'Newsletter freigeben',
'block article'
=>'Newsletter abweisen',
'reject article'
=>'Newsletter ablehnen',
'blocked'
=>'abgewiesen',
'waiting'
=>'wartend',
'released'
=>'freigegeben',
'rejected'
=>'abgelehnt',
'The newsletter %s was successfully saved.'
=>'Der Newsletter %s wurde gespeichert.',

// create.inc.php
'<B>Remember:</B> The Newsletter-Module uses the original rubric %s.'
=> '<B>Nicht vergessen:</B> Das Newsletter-Modul benutzt die Original-Rubrik %s.',
'The actual rubric has been changed to %s.'
=> '%s wurde als aktuelle Rubrik eingestellt.',

// emails recipient
'Newsletter recipients'
=> 'Newsletter Empfnger',
'This is the newsletter-administration of the existing email-adresses.'
=> 'In dieser Ansicht knnen sie die Newsletter-Empfnger verwalten.',
'Rank'
=> 'Rang',
'modify entry'
=> 'Empfnger bearbeiten',
'delete entry'
=> 'Empfnger lschen',
'rank increase'
=> 'Rang erhhen',
'rank decrease'
=> 'Rang verringern',
'The recipient is in state waiting and can not be deactivated.'
=> 'Der Empfnger befindet sich im Wartestadium und kann nicht deaktiviert werden',
'The entry is already activated.'
=> 'Der Empfnger wurde bereits aktiviert',
'The recipient is banned and can not be deactivated.'
=> 'Der Empfnger wurde gebannt und kann nicht deaktiviert werden.',
'The recipient is already banned.'
=> 'Der Empfnger wurde bereits gebannt.',
'activate'
=> 'Aktivieren',
'deactivate'
=> 'Deaktivieren',
'ban'
=> 'Bannen',
'activated'
=> 'aktiviert',
'waiting'
=> 'wartend',
'deactivated'
=> 'daektiviert',
'banned'
=> 'gebannt',
'rejected, older newsletter released'
=> 'zurckgewiesen, lterer Newsletter freigegeben',
'waiting, old newsletter released'
=> 'wartend, lterer Newsletter freigegeben',
'categories: '
=> 'Kategorien: ',
'all'
=> 'alle',
'Add new newsletter recipient manually'
=> 'Neuen Newsletter Empfnger erfassen',
'Status: waiting'
=> 'Status: wartend',
'Status: active'
=> 'Status: aktiv',
'Status: banned'
=> 'Status: gebannt',

'Upload recipient list'
=> 'Empfnger-Liste laden',
'File to upload'
=> 'Hochzuladende Datei',
'upload'
=> 'Hochladen',
'Uploaded filename: %s'
=> 'Name des Uploads: %s',
'Uploaded filetype: %s'
=> 'Dateityp des Uploads: %s',

'Newsletter recipient import'
=> 'Newsletter Empfnger Import',
'These email adresses were found in your file:'
=> 'Diese Mail-Adressen wurden in Ihrer Datei gefunden:',
' (invalid, will not be sent!)'
=> ' (ungltig, wird nicht gesendet!)',
' (invalid, will not be added!)'
=> ' (ungltig, wird nicht hinzugefgt!)',
' (duplicate, will not be added!)'
=> ' (Duplikat, wird nicht hinzugefgt!)',
' (already listed, will not be added!)'
=> ' (bereits vorhanden, wird nicht hinzugefgt!)',
'Found email adresses'
=> 'Gefundene Empfnger-Adressen',
' invalid'
=> ' fehlerhafte eMail-Adressen',
'Please check the data displayed below.'
=> 'Bitte berprfen Sie die untenstehenden Daten.',
'mail-adresses'
=> 'eMail-Adressen',
'Note: CSV files should have a txt-extension, otherwise they will be treated as an Excel file.'
=> 'Hinweis: CSV-Dateien sollten eine txt-Endung haben, ansonsten werden sie ggf. als Excel-Datei gesendet.',


// actions
'Recipient list was imported into database!'
=> 'Empfnger -Liste wurde in die Datenbank aufgenommen',
' records were updated'
=> ' Eintrge wurden aktualisiert',
' records were added'
=> ' Eintrge wurden hinzugefgt',
'Unscription successfully!'
=> 'Austragung erfolgreich!',
'Module settings were updated!'
=> 'Die Moduleinstellungen wurden aktualisiert!',
'Unknown email adress. Please check the correct spelling!'
=> 'Unbekannte Mail-Adresse. Bitte prfen Sie die Schreibweise!',
'Changes to profile succesfully!'
=> 'nderungen am Benutzerprofil erfolgreich!',
'Changes to password succesfully!'
=> 'Passwort erfolgreich gendert',

'This content will be used in the HTML part of the newsletter. For editing click on the edit-link below.<br />It will be automatically used as plain-text content by removing all HTML-tags.'
=> 'Dieser Inhalt wird im HTML-Teil des Newsletters verwendet. Zum Bearbeiten benutzen Sie bitte untenstehenden Bearbeiten-Link.<br />Der Inhalt wird automatisch durch Entfernen aller HTML-Tags als Nur-Text-Inhalt verwendet.',
'This content will be used in the HTML part of the newsletter. For editing click on the edit-link below.'
=> 'Dieser Inhalt wird im HTML-Teil des Newsletters verwendet. Zum Bearbeiten benutzen Sie bitte untenstehenden Bearbeiten-Link.',
'Remember to work on the plain-text content, otherwise many recipients will not see anything.'
=> 'Vergessen Sie nicht das Bearbeiten des Nur-Text Abschnittes, ansonsten werden viele Empfnger keinen Inhalt sehen.',
'This content will be used in the plain-text part of the newsletter.'
=> 'Dieser Inhalt wird im Nur-Text Abschnitt des Newsletters verwendet.',


// Rechte
'Recipients'
=> 'Empfnger',
'Sending'
=> 'Versenden',
'Edit newsletter rights'
=> 'Verwaltung der Newsletter-Rechte',
'This view allows you to change the rights of the users for the newsletter rubric and newsletter options.'
=> 'In dieser Ansicht knnen Sie die Benutzerrechte fr die Rubrik und den Newsletter bestimmen',
'Rubric rights'
=> 'Rubrik-Rechte',
'Newsletter rights'
=> 'Newsletter-Rechte',

// Optionen
'This is the newsletter-administration of the newsletter <i>%s</i>.'
=> 'In dieser Ansicht verwalten Sie den Newsletter <i>%s</i>.',
'Module settings'
=> 'Modul-Einstellungen',
'Newsletter rubric:'
=> 'Newsletter-Rubrik:',
'Newsletter template:'
=> 'Newsletter-Template:',
'Email list length:'
=> 'Lnge der Empfnger-Liste:',
'Confirm delay:'
=> 'Besttigungs-Verzgerung:',
'days'
=> 'Tage',
'Email verification:'
=> 'Adressen-Prfung:',
'Verification mail'
=> 'berprfungs-Mail',
'no verification'
=> 'keine berprfung',

'Email Check:'
=> 'Email-Prfung:',
'Email RegExp:'
=> 'Email Regulrer Ausdruck:',
'check for valid mail-adress format'
=> 'auf gltige Mailadresse prfen',
'do not check for valid mail-adress format'
=> 'nicht auf gltige Mailadresse prfen',
'Log actions:'
=> 'Aktionen protokollieren:',
'act like enclosing rubric'
=> 'Verhalten wie zugeordnete Rubrik',
'none'
=> 'keine',
'above form'
=> 'oberhalb',
'below form'
=> 'unterhalb',
'Show articles:'
=> 'Artikel anzeigen:',
'Hide articles on submit:'
=> 'Artikel verstecken beim Versand:',
'Show mailform mockup:'
=> 'Vorschau mit Mail-Attrappe:',

'Senders eMail-adress:'
=> 'Absender-Adresse:',
'Include Pics in HTML-Mail:'
=> 'Bilder in HTML-Mails einbetten:',
'Notice to admin:'
=> 'Admin informieren:',
'Use categories:'
=> 'Kategorien benutzen:',
'Use ranking system:'
=> 'Rang-System benutzen:',
'Default rank:'
=> 'Standard-Rang:',
'Newsletter categories'
=> 'Newsletter Kategorien',
'Newsletter parts'
=> 'Newsletter Abschnitte',
'Header:'
=> 'Kopfbereich:',
'Main:'
=> 'Hauptteil:',
'Footer:'
=> 'Fubereich:',
'To increase and decrease ranking of a newsletter recipient you can use the following links:'
=> 'translate: To increase and decrease ranking of a newsletter recipient you can use the following links:',
'Use a right mouse klick to copy the URL, change it to work in your System an paste it to the desired location. LINKS NOT WORKING YET!'
=> 'translate: Use a right mouse klick to copy the URL, change it to work in your System an paste it to the desired location. LINKS NOT WORKING YET!',
'Separate the different categories by using a semicolon (;).'
=> 'Trennen Sie die verschiedenen Kategoruien durch Semikolon (;).',
'These are the categories that can be chosen by the customer in his profile. These are automatically included in the template so you can work on the content. Referr to the manual.'
=> 'Dies sind die verschiedenen Kategorien, die der Empfnger in seinem Profil auswhlen kann. Diese werden automatisch im Template aufgenommen, damit die Inhalte eingepflegt werden knnen. Beachten Sie die Anleitung.',
'Newsletter HTML elements'
=> 'Newsletter HTML Elemente',
'HTML-header:'
=> 'HTML-Kopfbereich:',
'HTML-footer:'
=> 'HTML-Fubereich:',
'Newsletter text elements'
=> 'Newsletter Text Elemente',
'No-spam text:'
=> '"No-Spam"-Hinweis:',
'Unscribe text:'
=> 'Abmelde-Hinweis:',
'Profile link text:'
=> 'Profil-Einstellungen-Hinweis',
'Special header text*:'
=> 'Besondere Mail-Header*:',
'*) These settings should only be used, if you\'re familliar with email headers. If not, leave this empty!'
=> '*) Diese Angaben sollten nur verndert werden, wenn Sie sich mit Mail-Headern auskennen. Wenn nicht, einfach leer lassen!',
'Newsletter frontend pages'
=> 'Newsletter Frontend Inhalte',
'Index page:'
=> 'Index Seite:',
'Hint on email error:'
=> 'Hinweis bei eMail-Fehler:',
'Hint on password error:'
=> 'Hinweis bei Passwort-Fehler:',
'Error Page:'
=> 'Fehler-Seite:',
'Subscribe info:'
=> 'Anmelde Hinweis:',
'Unscribe info:'
=> 'Abmelde Hinweis:',
'Confirmation page:'
=> 'Besttigungs-Seite:',
'Auth confirmation:'
=> 'Anmelde-Besttigung:',
'User Profile:'
=> 'Empfnger-Profil-Seite:',
'Confirmation mail contents'
=> 'Besttigungs-Mail-Inhalte',
'Confirmation mail subject:'
=> 'Besttigungs-Mail-Betreff:',
'Confirmation mail content:'
=> 'Besttigungs-Mail-Inhalt:',
'Confirmed subject:'
=> 'Registrierungs-Erfolg-Betreff:',
'Confirmed content:'
=> 'Registrierungs-Erfolg-Inhalt:',
'Direct registration subject:'
=> 'Direkte Registrierung Betreff:',
'Direct registration content:'
=> 'Direkte Registrierung Inhalt:',
'Unscribe subject:'
=> 'Abmeldung Betreff:',
'Unscribe content:'
=> 'Abmeldung Inhalt:',
'Notice to Admin subject:'
=> 'Admin-Info Betreff:',
'Notice to Admin content:'
=> 'Admin-Info Inhalt:',
'Unscribe to Admin subject:'
=> 'Abmelde-Info Betreff:',
'Unscribe to Admin content:'
=> 'Abmelde-Info Inhalt:',
'check MX-record'
=> 'Mailserver prfen',
'enlarge'
=> 'vergrern',
'reduce'
=> 'verkleinern',
'Admin eMail-adress:'
=> 'Mail-Adresse Administrator:',
'Staggered processing:'
=> 'Intervallverarbeitung:',
'Number of newsletters:'
=> 'Anzahl Newsletter je Intervall:',
'This is a not registered version of %1$s. Please contact your %2$sadministrator%3$s.'
=> 'Dies ist keine registrierte Version von %1$s. Bitte wenden Sie sich an Ihren %2$sAdministrator%3$s.',
'Hint "already in list":'
=> 'Hinweis "Bereits in der Liste":',
'Hint on banned adress:'
=> 'Hinweis auf gebannte Adresse:',
'Password verification info:'
=> 'Passwort-Besttigungs-Information:',
'New password info:'
=> 'Information zu neuem Passwort:',
'Password change error:'
=> 'Fehlermeldung bei Passwortnderung:',
'Message on profile change:'
=> 'Meldung bei Profilnderung:',
'Message on password change:'
=> 'Meldung bei Passwortnderung:',
'Newsletter list:'
=> 'Newsletter-bersicht:',
'List length:'
=> 'bersichts-Lnge:',
'Mini index page:'
=> 'Miniatur Index-Seite:',
'Mini message:'
=> 'Miniatur Meldung:',
'Mini confirmation page:'
=> 'Miniatur Besttigungs-Seite:',
'Forgotten password subject:'
=> '"Vergessenes Passwort" Betreff:',
'Forgotten password content:'
=> '"Vergessenes Passwort" Inhalt:',
'Hint on no subscriber:'
=> 'Hinweis "Kein eingetragener Empfnger":',
'Newsletter personalisation'
=> 'Newsletter Personalisierung',
'Fields:'
=> 'Felder:',
'Personal data row:'
=> 'Persnliche Daten Zeile:',
'Necessary data hint:'
=> 'Hinweis auf erforderliche Daten:',
'upcluster'
=> 'Minimal-Rang',
'downcluster'
=> 'Maximal-Rang',
'group'
=> 'Nur diese Gruppe',
'Ranking mode:'
=> 'Rang-Modus:',
'Your rank mode is:'
=> 'Der gewhlte Rang-Modus ist:',
'The newsletter will be sent to recipients with a rank higher or equal to the chosen one.'
=> 'Der Newsletter wird an Empfnger mit einem Rang grer oder gleich dem ausgewhlten Rang versendet.',
'The newsletter will be sent to recipients with a rank lower or equal to the chosen one.'
=> 'Der Newsletter wird an Empfnger mit einem Rang kleiner oder gleich dem ausgewhlten Rang versendet.',
'The newsletter will only be sent to recipients with a rank equal to the chosen one.'
=> 'Der Newsletter wird nur an Empfnger mit einem Rang gleich dem ausgewhlten Rang versendet.',
'available in the commercial version'
=> 'verfgbar in der kommerziellen Version',
'available in the registered version'
=> 'verfgbar in der registrierten Version',
'english'
=> 'deutsch',
'english'
=> 'deutsch',

// Senden
'Send newsletter'
=> 'Newsletter versenden',
'This is the final step for sending your Newsletter'
=> 'Dies ist der letzte Schritt fr den Versand des Newsletters',
'Rank control'
=> 'Rang-Auswahl',
'Rank'
=> 'Rang',
'Combinations of categories'
=> 'Kategorie-Kombinationen',
'These different compilations of newsletters are requested by your active customers:'
=> 'Diese unterschiedlichen Kategorie-Kombinationen werden von Ihren Kunden gewnscht:',
'This accumulation is independent from the chosen rank, so don\'t expect this list to be changed when choosing a rank.'
=> 'Diese Zusammenstellung ist unabhngig von dem ausgewhlten Rang, daher erwarten Sie bitte nicht eine nderung beim Auswhlen eines anderen Ranges.',
'Last chance for a preview'
=> 'Letzte Mglichkeit fr eine Kontroll-Vorschau',
'Preview:'
=> 'Vorschau:',
'Text-Preview'
=> 'Text-Vorschau',
'HTML-Preview'
=> 'HTML-Vorschau',
'Sending the newsletter'
=> 'Newsletter-Versand',
'Sending newsletter'
=> 'Versenden des Newsletters',
'Send'
=> 'Absenden',
'Processing the newsletter'
=> 'Verarbeiten des Newsletters',
'Processing'
=> 'Verarbeitung',
'Number of Mails to be send:'
=> 'Anzahl der zu versendenden eMails:',
'Delivering to email-adresses:'
=> 'Versand an folgende eMail-Adressen:',
'Finished'
=> 'Fertig',
'When you see this message all newsletters have been sent!'
=> 'Wenn Sie diese Meldung sehen, wurden ihre Newsletter bereits versendet!',
'Dont stop the processing! If the process stops although not all newsletters have been processed you have to reduce the number of newsletters to process per step!'
=> 'Brechen Sie die Verarbeitung nicht ab! Wenn die Verabeitung endet obwohl noch nicht alle Newsletter verarbeitet wurden, dann sollten Sie die Anzahl der pro Intervall zu verarbeitenden Newsletter reduzieren!',
'<b>%s</b> of <b>%s</b> newsletters were processed'
=> '<b>%s</b> von <b>%s</b> Newsletter wurden verarbeitet',
'Press %s to abort the processing OR WAIT!'
=> 'Drcken Sie %s um die Verarbeitung anzuhalten oder warten Sie!',
'Unscription info:'
=> 'Abmelde Info:',
'Newsletter rehearsal'
=> 'Newsletter Generalprobe',
'Rehearsal eMail-adress:'
=> 'Generalproben Mail-Adresse:',
'english'
=> 'deutsch',

// Empfnger
'Recipient Settings'
=> 'Empfnger Einstellungen',
'In this view please change the data in the form and then save.'
=> 'In dieser Ansicht verndern Sie bitte die untenstehenden Daten und speichern Sie anschlieend.',
'Add new recipient'
=> 'Empfnger erstellen',
'In this view please fill out the form to create a new recipient.'
=> 'In dieser Ansicht tragen Sie bitte die Daten eines neuen Empfngers ein.',
'Edit recipient'
=> 'Empfnger bearbeiten',
'Name:'
=> 'Name:',
'Email-adress:'
=> 'Email-Adresse:',
'%s recipients in total'
=> 'insgesamt %s Empfnger',
'Actual rank:'
=> 'Derzeitiger Rang:',
'No recipients found!'
=> 'Keine Empfnger gefunden!',
'Invalid email-adress. Please try again!'
=> 'Ungltige Mail-Adresse. Probieren Sie es bitte noch einmal!',
'Newsletter categories:'
=> 'Newsletter-Kategorien:',
'Separate the different categories by using a semicolon (;).<br />These are the categories chosen by the customer in his profile.<br />Actual availabe categories: %s.<br />For getting all categories use "all".'
=> 'Trennen Sie die verschiedenen Kategorien durch ein Semikolon (;).<br />Dies sind die vom Kunden in seinem Profil gewhlten Kategorien.<br />Derzeit verfgbare Kategorien: %s.<br />Um alle Kategorien auszuwhlen tragen Sie bitte "all" ein.',
'Password:'
=> 'Passwort:',
'Save recipient settings'
=> 'Empfnger-Einstellungen speichern',
'Are you sure deleting this user? No way back!'
=> 'Sind Sie sich sicher, da Sie diesen Empfnger endgltig lschen wollen?',
'Newsletter recipients upload'
=> 'Newsletter Empfnger Upload',
'Here you can upload a CSV or dBase file with recipient data.'
=> 'In dieser Ansicht knnen Sie eine CSV- oder dBase-Datei mit Empfnger-Daten hochladen.',
'Here you can upload a CSV file with recipient data.'
=> 'In dieser Ansicht knnen Sie eine CSV-Datei mit Empfnger-Daten hochladen.',
'<b>No readable file format!</b>'
=> '<B>Kein lesbares Datei-Format!</B>',
'necessary'
=> 'erforderlich',
'Recipient data was saved!'
=> 'Die Empfngerdaten wurden gespeichert!',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
// Newsletter-verwaltung
'Release newsletters'
=> 'Newsletter freigeben',
'Please choose the newsletter that is supposed to be changed.'
=> 'Bitte whlen Sie den Newsletter, dessen Status gendert werden soll.',
'No newsletter within your release area were found.'
=> 'Keine Newsletter in Ihrem Freigabebereich.',
'Newsletter versions'
=> 'Newsletter Versionen',
'Here you can administrate the versions of newsletter %s.'
=> 'Hier knnen Sie die Versionen des Newsletters %s verwalten.',
'The newsletter version %s was restored successfully.'
=> 'Der Newsletter %s wurde wieder hergestellt.',
'The newsletter %s got released.'
=> 'Der Newsletter %s wurde freigegeben.',
'The newsletter %s got blocked.'
=> 'Der Newsletter %s wurde abgelehnt.',
'The newsletter %s got rejected.'
=> 'Der Newsletter %s wurde abgewiesen.',
'The newsletter version %s was deleted successfully.'
=> 'Die Newsletter-Version %s wurde gelscht.',
'The newsletter %s was successfully deleted.'
=> 'Der Newsletter %s wurde gelscht.',
'Sorry, you are not allowed to change the status of a newsletter.'
=> 'Sie haben nicht die erforderlichen Rechte, um den Status eines Newsletter zu ndern.',
'The newsletter is already in use.'
=> 'Der Newsletter wird bereits bearbeitet',
'Sorry, you are not allowed to delete a newsletter.'
=> 'Sie haben nicht die erforderlichen Rechte, um einen Newsletter zu lschen.',
'The newsletter %s was not deleted.'
=> 'Der Newsletter %s wurde nicht gelscht',
'The newsletter %s was successfully moved to rubric %s.'
=> 'Der Newsletter %s wurde erfolgreich in die Rubrik %s verschoben',
'Title:'
=> 'Betreff:',
'actual rank: '
=> 'Derzeitiger Rang: ',
'Send newsletter now'
=> 'Newsletter jetzt versenden',
'To increase and decrease ranking of a newsletter recipient outside ConPresso (e.g. in your online-shop) you can use the following links:'
=> 'Um den Rang eines Newsletter-Empfngers auerhalb von Conpresso (z.B. in Ihrem Online-Shop-System) zu erhhen oder zu senken knnen Sie die nachstehenden Links benutzen:',
'Use a right mouse klick to copy the URL, change it to work in your system an paste it to the desired location.'
=> 'Mittels Rechtsklick knnen Sie i.d.R. die URL kopieren, an ihr System anpassen und dort einfgen.',

// Preview
'From:'
=> 'Von:',
'To:'
=> 'An:',
'Subject:'
=> 'Betreff:',
'... loaded adresses ...'
=> '... geladene Adressen ...',
'Category choice'
=> 'Kategorie-Auswahl',
'(only affecting preview)'
=> '(nur in der Vorschau)',
'Refresh'
=> 'Aktualisieren',

// Composing
'Compose newsletter'
=> 'Newsletter zusammenstellen',
'In this view you can compose a new newsletter out of existing articles.'
=> 'In dieser Ansicht knnen Sie aus vorhandenen Artikeln einen Newsletter zusammenstellen.',
'No articles assigned yet!'
=> 'Keine Artikel zugewiesen!',
'Adding articles to the newsletter'
=> 'Artikel zum Newsletter hinzufgen',
'First choose the articles (multiple choices possible), then assign them to a category and finally add this to the list'
=> 'Markieren Sie die Artikel (Mehrfachauswahl mglich), whlen dann einen Bereich und fgen dies dann der Liste hinzu',
'assign to'
=> 'zuweisen zu',
'save articles as new newsletter'
=> 'gewhlte Artikel als neuen Newsletter speichern',
'add article(s) to newsletter'
=> 'Artikel dem Newsletter hinzufgen',
'This is the preview showing your actual compilation.'
=> 'Dies ist die Vorschau Ihrer aktuellen Zusammenstellung.',
'Saving the newsletter'
=> 'Newsletter speichern',
'Please fill in a title for the new newsletter:'
=> 'Tragen Sie bitte einen Titel fr den Newsletter ein:',
'You need to fill in a title for the newsletter!'
=> 'Sie mssen fr den Newsletter einen Titel angeben!',
'The newsletter was saved as <i>%s</i>'
=> 'Der Newsletter wurde als <i>%s</i> gespeichert',
'Click the following link to edit the newsletter: <a href="%s/newsletter.php?action=articles_modify&nr=%s">Edit newsletter</a>'
=> 'Klicken Sie zum Bearbeiten des Newsletters auf den folgenden Link: <a href="%s/newsletter.php?action=articles_modify&nr=%s">Newsletter bearbeiten</a>',
'update'
=> 'aktualisieren',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',


'Remember to work on the plain-text content, otherwise many receivers will not see anything.'
=> 'Vergessen Sie nicht die Bearbeitung des Nur-Text-Inhaltes, ansonsten werden viele Empfnger gar nichts sehen knnen.',

//
'Include Pics in HTML-Mail:'
=> 'Bilder in HTML-Mails einbetten',
'Save module settings'
=> 'Modul-Einstellungen speichern',
'show'
=> 'einblenden',
'hide'
=> 'ausblenden',

// Captcha
'Captcha settings'
=> 'Captcha-Einstellungen',
'Use captcha:'
=> 'Captcha benutzen:',
'Captcha template:'
=> 'Captcha-Code:',
'Captcha error message:'
=> 'Captcha-Fehlermeldung:',
'Captcha image:'
=> 'Captcha Bild:',
'Captcha font:'
=> 'Captcha Schrift:',
'Text color:'
=> 'Schriftfarbe:',
'Shadow color:'
=> 'Schattenfarbe:',
'Style:'
=> 'Stil:',
'outline'
=> 'Kontour',
'shadow'
=> 'Schatten',
'Wrong security code! Remind capital and small letters!'
=> 'Fehlerhafter Sicherheitscode! Achten Sie auf Gross- und Kleinschreibung!',
"<!-- // Captcha-Sicherheitscode -->\n<p><b>Security code:</b> please fill in the shown code in the adjacent input field<br />\n<img src=\"captcha/captcha.php\" border=\"0\" title=\"security code\" onClick=\"reloadCaptcha(this);\">\nFill in the security code here: <input type=\"text\" name=\"sicherheitscode\" size=\"5\"><br />\nThis prevents spam messages.\n</p>"
=> "<!-- // Captcha-Sicherheitscode -->\n<p><b>Sicherheitscode:</b> Bitte tragen Sie vor dem Absenden den nachstehenden Sicherheitscode in das nebenstehende Feld ein<br />\n<img src=\"captcha/captcha.php\" border=\"0\" title=\"Sicherheitscode\" onClick=\"reloadCaptcha(this);\">\nSicherheitscode hier eintragen: <input type=\"text\" name=\"sicherheitscode\" size=\"5\"><br />\nDiese Ma&szlig;nahme dient der Spam-Vermeidung. Wir bitten um Ihr Verst&auml;ndnis.\n</p>",


// cronjb and scheduler
'Cronjob is being prepared.'
=> 'Cronjob wird vorbereitet.',
'Scheduled job was prepared and saved as <i>%s</i>.'
=> 'Die geplante Verarbeitung wurde vorbereitet und gespeichert als <i>%s</i>.',
'Newsletter cronjob'
=> 'Newsletter Cronjob',
'Pending cronjob:'
=> 'Ausstehende Cronjobs:',
' pending newsletters'
=> ' ausstehende Newsletter',
'Number of newsletters per cronjob:'
=> 'Anzahl Newsletter pro Cronjob:',
'Cronjob identification:'
=> 'Cronjob-Kennzeichnung:',
'Cronjob cancellation:'
=> 'Cronjob Stornierung:',
'Cancel all pending newsletters'
=> 'Alle anstehenden Cronjobs stornieren',
'Newsletter scheduler'
=> 'Newsletter Zeitplan',
'Pending schedules:'
=> 'Anstehende Zeitplne:',
' schedules'
=> ' Zeitplne',
'Number of newsletters per schedule:'
=> 'Anzahl Newsletter pro Zeitplan:',
'Schedule identification:'
=> 'Zeitplan-Kennzeichnung:',
'Schedule cancellation:'
=> 'Zeitplan Stornierung:',
'Select the schedules jobs to be cancelled. Multiple selections with the Ctrl-Key.'
=> 'Whlen Sie die zu stornierenden Zeitplne aus. Mehrfache Auswahl mit der Strg-Taste.',
'No cronjob without valid license!'
=> 'Kein Cronjob ohne Lizenz!',
'Cronjob cancelled due to wrong id!'
=> 'Cronjob wegen falscher ID abgebrochen!',
'Scheduling newsletter job:'
=> 'Newsletterversand planen:',
'save as scheduled job only'
=> 'nur als geplanten Job speichern',
'save as cronjob only'
=> 'nur als Cronjob speichern',
'%s scheduled newsletter mails in total.'
=> '%s geplante Newsletter gesamt.',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',

'yes'
=> 'ja',
'no'
=> 'nein'
)

?>