<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

define('CPO', true);
if ($_REQUEST['action'] != 'preview' && $_REQUEST['action'] != 'text_preview')  {
	echo "No preview-type selected!";
	exit;
}
if (!is_numeric($_REQUEST['nr']))  {
	echo "No such newsletter!";
	exit;
}
require_once('../_include/common.inc.php');

// Sprache
$directory = basename(dirname($_SERVER['PHP_SELF'])); 
$translator->addTranslation('newsletter',CPO_BASEDIR.$directory.'/lang');

$pagetype = 'default';
include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/producer.inc.php');

$action		= $_REQUEST['action'];
$_GET['nr']	= (int)$_REQUEST['nr'];
require(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_preview.inc.php');

// previews on screen
if ($action =='preview' && $activeModules[$directory]['showMailForm'] == "yes")  {
	include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_mailheader.inc.php');
	echo '<div class="NLframe">';
	echo $activeModules[$directory]['html_header'];
	echo $html_content;
	echo "<BR><BR>".$activeModules[$directory]['no_spam_text'];
	echo "<BR><BR>".$activeModules[$directory]['unscribe_text'];
	echo "<BR><BR>".$activeModules[$directory]['profile_link_text'];
	echo $activeModules[$directory]['html_footer'];
	echo '</div>';
	include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_mailfooter.inc.php');
} elseif ($action =='preview' && $activeModules[$directory]['showMailForm'] == "no")  {
	include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_noheader.inc.php');
	echo $activeModules[$directory]['html_header'];
	echo $html_content;
	echo $activeModules[$directory]['html_footer'];
	include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_nofooter.inc.php');
} elseif ($action =='text_preview' && $activeModules[$directory]['showMailForm'] == "yes")  {
	include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_mailheader.inc.php');
	echo '<textarea class="big" rows="40">';
	echo $text_content;
	echo "\n\n".strip_tags($activeModules[$directory]['no_spam_text']);
	echo "\n\n".strip_tags($activeModules[$directory]['unscribe_text']);
	echo "\n\n".strip_tags($activeModules[$directory]['profile_link_text']);
	echo '</textarea>';
	include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_mailfooter.inc.php');
} elseif ($action =='text_preview' && $activeModules[$directory]['showMailForm'] == "no")  {
	include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_noheader.inc.php');
	echo nl2br($text_content);
	include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_nofooter.inc.php');
}
?>
