<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3f / August 2014 ===

*/

define('CPO', true);
ob_start();
require_once(dirname(__FILE__) . '/../_include/common.inc.php');

foreach ($argv as $arg) {
    $e=explode("=",$arg);
    if(count($e)==2)
        $_REQUEST[$e[0]]=$e[1];
    else    
        $_REQUEST[$e[0]]=0;
}

$directory = $_REQUEST['dir']; 

if (!license($activeModules[$directory]['lkey'],$activeModules[$directory]['mod_id']) && $activeModules[$directory]['installed']<(time()-90*24*60*60)) {
	echo __('No cronjob without valid license!');
	exit;
}

if ($_REQUEST['id_schedule'] != $activeModules[$directory]['id_schedule']) {
	echo __('Cronjob cancelled due to wrong id!');
	exit;
}

include_once(CPO_BASEDIR.$directory.'/includes/newsletter_functions.inc.php');

$query = "SELECT * FROM ".$dbPrefix."_mod_newsletter_schedule LIMIT 0,1";
DEBUG(1, $query, __FILE__, __LINE__); 
$db_schedule = new DB;
$db_schedule->query($query);
while ($db_schedule->next_record())  {
	$_REQUEST = unserialize($db_schedule->v('request'));
	$_POST = unserialize($db_schedule->v('post'));
	$_GET = unserialize($db_schedule->v('get'));
	unset ($_REQUEST['cronjob']);
	unset ($_REQUEST['schedule']);
	$_REQUEST['from'] = $db_schedule->v('from');
	$_REQUEST['to'] = $db_schedule->v('to');
	include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_out.inc.php');
	// schedule aus der Liste lschen
	$query = "DELETE FROM ".$dbPrefix."_mod_newsletter_schedule WHERE id=".$db_schedule->v('id');
	DEBUG(1, $query, __FILE__, __LINE__); 
	$db_del = new DB;
	$db_del->query($query);
}

ob_end_clean();

?>