<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "PHP-Info"                                            |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 1.0 / 2008

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 

$zugang = 0;
$directory = basename(dirname($_SERVER['PHP_SELF'])); 

require(CPO_BASEDIR.'_include/check.php');
require(CPO_BASEDIR.'_include/header.php');

printPageHeader(
    __('PHP-Info'),
    __('In this view the PHP configuration of your server is shown. This helps to detect server limitations and to answer support questions.')
);
include(CPO_BASEDIR.'_include/message.php');
include('./producer.inc.php');

// Stylesheet
$css = './infostyle.css';

// Ausgabe-Puffer starten
ob_start();

// phpinfo() in Ausgabepuffer schreiben
phpinfo();

//Ausgabe in Variable schreiben
$output = ob_get_contents();

// Ausgabepuffer lschen
ob_end_clean();

// Manipulation
$output = preg_replace('/.*?<body>(.*?)<\/body>.*/is', '\\1', $output);
$output = preg_replace('/.*?<table border="0" cellpadding="3" width="600">.*?<tr class="h"><td>.*?<h1 class="p">(.*?)<\/h1>.*?<\/td><\/tr>.*?<\/table><br \/>(.*)/is', '<h1>\\1</h1>\\2', $output);
$output = str_replace(array("table ","table"), 'table class="colored" style="width: 100%;"', $output);
$output = str_replace(' border="0" cellpadding="3" width="600"', ' style="width: 100%;"', $output);
$output = str_replace('class="e"', 'class="leftrow"', $output);
echo "\n".'<link rel="stylesheet" type="text/css" href="./infostyle.css">'."\n";
echo $output;


require(CPO_BASEDIR.'_include/footer.php');
?>
