<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;

initVar($_SESSION['SID_log_login_id'],NULL);
initVar($_SESSION['SID_user']['usergroups_id'],NULL);
initVar($_SESSION['SID_user']['admin'],NULL);
initVar($cpoRubric['seclevel'],NULL);
initVar($cpoRubric['id'],NULL);

// check if this is a closed rubric and a special pagetype
if (!($pagetype=='index' || $pagetype=='detail') && $cpoRubric['seclevel']==SECLEVEL_CLOSED) {
    $_t = '<div style="color: #f00;">';
    $_t.= '<strong>WARNING:</strong> You can not do this in a closed rubric!<br />';
    $_t.= '<strong>WARNUNG:</strong> Dieses ist mit einer geschlossenen Rubrik nicht mglich!<br />';
    $_t.= '</div>';

    if ($pagetype=='js') $_t = "document.write('".$_t."');";

    print($_t);
    exit;
}

user_activity($_SESSION['SID_log_login_id']);
//berprfe auf den 'Angemeldet bleiben'-Cookie
if (array_key_exists('autologin',$GLOBALS['activeModules'])) include(CPO_BASEDIR.'mod_autologin/includes/include.secure.inc.php');

// if the rubric is closed, fetch the groups that are allowed to view the content
// and check if the user is in one of those groups
// if not closed, return to file that required this
if ($cpoRubric['seclevel']!=SECLEVEL_CLOSED) return;

$db = new DB;
$query = 'SELECT COUNT(*) FROM '.CPO_RUBRIC_PERMISSION.' '
        .'WHERE rubric_id='.(int)$cpoRubric['id'].' '
        .'AND usergroups_id='.(int)$_SESSION['SID_user']['usergroups_id'];
$db->query($query);
$db->next_record();

$usergroup_OK = false;
if ($db->v('COUNT(*)')>0) $usergroup_OK = true;

if ($usergroup_OK || $_SESSION['SID_user']['admin']) return;

// if the user is not allowed to view the content redirect him
Header('Location: '.BASE_ABS.$directory.'/member.php?rubric='.$cpoRubric['id'].'&'.SID); 
exit;
?>
