<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;

if (!$cpoRubricSettings['showArchive']) return;

$query  = $cpoSystem['release'] 
    ? 'freigabe='.STATE_RELEASED 
    : 'freigabe!='.STATE_BLOCKED;
// FIXME no STATE_REJECTED?

// FIXME this will also display articles in closed rubrics, etc.?
$query = 'SELECT COUNT(*) FROM '.CPO_NEWS.' '
        .'WHERE artikel_archiv=0 '
        .'AND '.$query.' '
        ."AND verfallsdatum<'".date('Y-m-d H:i:s')."' "
        .'AND rubric_id='.(int)$cpoRubric['id'].' '
        .'ORDER BY '.$cpoRubricSettings['sorting'].' LIMIT 0, 1 ';
$db = new DB;
$db->query($query);
$db->next_record();
$anzahl = $db->v('COUNT(*)');

if ($anzahl>0) {
    echo '<a href="archive.php?rubric=' . urlencode($cpoRubric['name']) . '">'.$cpoRubricSettings['showArchiveText'].'</a>';
}
