<?php

// simple thumbnailer for CPO+

function make_thumb($src, $desired_width) {

    $size = getimagesize($src);
    $type = $size[2];
    $width = $size[0];
    $height = $size[1];

    /* read the source image */
    if ($type==IMG_GIF) $source_image = imagecreatefromgif($src); //GIF
    if ($type==IMG_JPG || $type==IMG_JPEG) $source_image = imagecreatefromjpeg($src); //JPG
    if ($type==IMG_PNG) $source_image = imagecreatefrompng($src); //PNG

    /* find the "desired height" of this thumbnail, relative to the desired width  */
    $desired_height = floor($height * ($desired_width / $width));

    /* create a new, "virtual" image */
    $virtual_image = imagecreatetruecolor($desired_width, $desired_height);

    /* copy source image at a resized size */
    imagecopyresampled($virtual_image, $source_image, 0, 0, 0, 0, $desired_width, $desired_height, $width, $height);

    header('Content-Type: image/jpeg');
    if ($type==IMG_GIF) header('Content-Type: image/gif'); //GIF
    if ($type==IMG_JPG || $type==IMG_JPEG) header('Content-Type: image/jpeg'); //JPG
    if ($type==IMG_PNG) header('Content-Type: image/png'); //PNG

    /* create the physical thumbnail image and send to screen */
    imagejpeg($virtual_image);
}

$src= $_GET['imagefile'];
$desired_width= $_GET['size'];
make_thumb($src, $desired_width);
?>
