<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Backup"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1a / October 2013 ==

*/


	if ($activeModules['Backup']['sendMail'] == "yes")  {


        // figure out and set base_url
        // taken from the original CPO/_include/common.inc.php
        $bk_auto_base_url = 'http://';
        if(isset($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS'])=='on') {
            $bk_auto_base_url='https://';
        }
        $bk_auto_base_url .= $_SERVER['HTTP_HOST'];
        $DOCROOT = $_SERVER['DOCUMENT_ROOT'];
        if (empty($DOCROOT)) {
            $DOCROOT = substr(
                str_replace(array('\\', '//'), '/', $_SERVER['PATH_TRANSLATED']), 
                0, 
                -(strlen($_SERVER['SCRIPT_NAME']))
            );
        }

        $bk_auto_base_url .= substr(str_replace('\\', '/', __FILE__),  
                              strlen(str_replace('\\', '/', realpath($DOCROOT))), 
                              -strlen('mod_backup/2sendmail.inc.php'));
        // /figure out and set base_url


		$boundary = strtoupper(md5(uniqid(time()))); 
        $boundWithPre  = "\n--".$boundary;

		$header  = "From: ".$activeModules['Backup']['sender'];
		$header .= "\nMIME-Version: 1.0"; 
		$header .= "\nContent-Type: multipart/mixed; boundary=\"$boundary\"\n"; 

		$text    = $boundWithPre; 
        $text   .= "\n Content-Type: text/plain;\n";
        $text   .= "\n"
                   . sprintf(__("This is the automated backup from %s\n\ncreated by mod_backup on %s"),
                       htmlspecialchars($cpoSystem['project'], ENT_COMPAT, 'ISO-8859-15'),
                       (isset($cpoSystem['base_url']) && trim($cpoSystem['base_url'])!='') ? htmlspecialchars($cpoSystem['base_url'], ENT_COMPAT, 'ISO-8859-15') : htmlspecialchars($bk_auto_base_url, ENT_COMPAT, 'ISO-8859-15'))
                   . "\n";

		$attach  = $boundWithPre; 
		$attach .= "\nContent-Type: application/octet-stream;\n name=\"$filename\""; 
		$attach .= "\nContent-Transfer-Encoding: base64"; 
		$attach .= "\nContent-Disposition: attachment; \n filename=\"$filename\"\n\n"; 
		$attach .= chunk_split(base64_encode(file_get_contents($dir ."/files/". $filename)),72,"\n"); 
        $attach .= $boundWithPre."--";

        if (!mail($activeModules['Backup']['recipient'], $activeModules['Backup']['subject'], $text.$attach, $header))
            $message[] = __('Error sending backup mail!');
	}

?>