<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Form"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1e / July 2013 ==

*/

	// User-ID fr File-Upload (sonst knnen die Bilder nicht ber ConPresso gelscht werden!
	$uploadUserID = $activeModules[$directory]['uploaduser'];
	$uploadUserName = 'FORM-Upload';

	$imageTypes = array(
		'unknown', 
		'GIF', 
		'JPG', 
		'PNG', 
		'SWF', 
		'PSD', 
		'BMP', 
		'TIFF(intel byte order)', 
		'TIFF(motorola byte order)', 
		'JPC', 
		'JP2', 
		'JPX', 
		'JB2', 
		'SWC', 
		'IFF');

    // upload ok
    $path = CPO_BASEDIR.'_data/';

    // modify filename to exclude characters that are not a-z A-Z 0-9 _ or .
    $filename	= $_FILES['content']['name'][$fileplaceholder][$filetype];
    $type		= $_FILES['content']['type'][$fileplaceholder][$filetype];
    $size		= $_FILES['content']['size'][$fileplaceholder][$filetype];
    $tmp_name	= $_FILES['content']['tmp_name'][$fileplaceholder][$filetype];
    $filename	= preg_replace('/[^a-z0-9_\.-]/i', '_', $filename);

    // add a prefix if file exists
    $prefix = ''; 
    $prefixNo = 0;
    while (file_exists($path.$prefix.$filename)) {
        $prefixNo++;
        $prefix = $prefixNo.'-';
    }
    $new_filename = $path.$prefix.$filename;

    // move the uploaded file to the new place
    if (!@move_uploaded_file($tmp_name, $new_filename)) {
        // FIXME: warning-Bild
        $message[] = sprintf(__('Unable to move the file <em>%s</em>! Make sure the webserver has write-access to the directory <em>%s</em>'),
            htmlspecialchars($new_filename, ENT_COMPAT, 'ISO-8859-15'),
            htmlspecialchars(dirname($new_filename), ENT_COMPAT, 'ISO-8859-15')
        );
//        continue;
    }
    @chmod($new_filename, 0666);

    // Check if it is an image suitable for web pages
    $checkImage = @getimagesize($new_filename);
    if ($checkImage && (
        $imageTypes[$checkImage[2]]=='JPG' || 
        $imageTypes[$checkImage[2]]=='PNG' ||
        $imageTypes[$checkImage[2]]=='GIF')) {

        // if the image-file is too big, delete it and continue
        if ($size > $cpoSystem['max_image']) {
            @unlink($new_filename);
            $message[] = sprintf(___('The file was %s bigger than the allowed maximum size of %s for images. Because of that the file was deleted. Please contact your administrator if you think this is an error.'),
                '<em>'.printHumanReadable($cpoSystem['max_image']-$size).'</em>',
                '<em>'.printHumanReadable($cpoSystem['max_image']).'</em>'
            );
            return;
        }
		if ($activeModules[$directory]['rename']=="yes") {
			$renamed_filename = substr($filename,0,8).substr(md5($filename),0,8).'_'.$filename;
			rename($new_filename,$path.$prefix.$renamed_filename);
			$filename = $renamed_filename;
		}
		$type = "image";
        $query = "INSERT INTO ".CPO_DATA." ("
                ."beschreibung, alttext, datum, type, datei, format, user_id, rubric_id, c_time, changer) "
                ."VALUES ("
                ."'".$filename."', "
                ."'', "
                ."'".date('Y-m-d H:i:s', time())."', "
                ."'".$type."', "
                ."'".$prefix.$filename."', "
                ."'2', "
                ."'".$uploadUserID."', "
                ."'".$activeModules[$directory]['rubric']."', "
                ."'".date('Y-m-d H:i:s', time())."', "
                ."'".$uploadUserName."')";
    } else {
        // no image 

        // if the file is too big, delete it and continue
        if ($size > $cpoSystem['max_file']) {
            @unlink($new_filename);
            $message[] = sprintf(__('The file was %s bigger than the allowed maximum size of %s for data files. Because of that the file was deleted. Please contact your administrator if you think this is an error.'),
                '<em>'.printHumanReadable($cpoSystem['max_file']-$size).'</em>',
                '<em>'.printHumanReadable($cpoSystem['max_file']).'</em>'
            );
            return;
        }
		$type = "file";
		$beschreibung = $filename;
		if ($activeModules[$directory]['rename']=="yes") {
			$renamed_filename = substr($filename,0,8).substr(md5($filename),0,8).'_'.$filename;
			rename($new_filename,$path.$prefix.$renamed_filename);
			$filename = $renamed_filename;
		}
		$query = "INSERT INTO ".CPO_DATA." ("
            ."beschreibung, alttext, datum, type, datei, format, user_id, rubric_id, c_time, changer) values("
            ."'".$beschreibung."', "                    // beschreibung
            ."'', "                                 // alttext
            ."'".date('Y-m-d H:i:s', time())."', "  // datum
            ."'".$type."', " // type
            ."'".$prefix.$filename."', "            // datei
            ."'1', "                             // format
            ."'".$uploadUserID."', "     // user_id
            ."'".$activeModules[$directory]['rubric']."', "         // rubric_id
            ."'".date('Y-m-d H:i:s', time())."', "  // c_time
            ."'".$uploadUserName."')";       // changer
    }
    // store in database
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query);

	// File-ID speichern
	$query = 'SELECT last_insert_id()';
	$db->query($query); 
	$db->next_record();
	$data['content'][$fileplaceholder][$type.'_id'] = $db->v('last_insert_id()');

	logaction('mod_form file upload', $prefix.$filename);


?>