<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Form"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1e / July 2013 ==

*/
global $moduleDirectory;

$translation = array(

'Form'
=> 'Formular',
'Options'
=> 'Einstellungen',
'Form ('.$moduleDirectory.')'
=> 'Formular ('.$moduleDirectory.')',
'The form-module was successfully installed!'
=> 'Das Formular-Modul wurde erfolgreich installiert!',
'The form-module got activated.'
=> 'Das Formular-Modul wurde aktiviert.',
'If you want some example templates to be installed please run the <a href="%s">template-setup</a>.'
=> 'Wenn Sie die Beispiel-Templates installieren wollen, dann rufen Sie bitte das <a href="%s">Template-Setup</a> auf.',
'The form-module got deactivated.'
=> 'Das Formular-Modul wurde deaktiviert.',
'Please remove the module directory %s to finally uninstall the form-module.'
=> 'Bitte lschen Sie das Verzeichnis %s um das Formular-Modul endgltig zu entfernen.',
'Online entry by %s'
=> 'Online-Eintrag von %s',
'Please fill in the missing information.'
=> 'Bitte vervollstndigen Sie die untenstehenden Angaben.',
'required'
=> 'Eingabe erforderlich!',
'Your data was successfully saved!'
=> 'Ihre Eingaben wurden erfolgreich gespeichert!',
'Send'
=> 'Eintrag absenden',
'Wrong security code! Remind capital and small letters!'
=> 'Fehlerhafter Sicherheitscode! Achten Sie auf Gross- und Kleinschreibung!',
"<!-- // Captcha-Sicherheitscode -->\n<p><b>Security code:</b> please fill in the shown code in the adjacent input field<br />\n<img src=\"captcha/captcha.php\" border=\"0\" title=\"security code\">\nFill in the security code here: <input type=\"text\" name=\"sicherheitscode\" size=\"5\"><br />\nThis prevents spam messages.\n</p>"
=> "<!-- // Captcha-Sicherheitscode -->\n<p><b>Sicherheitscode:</b> Bitte tragen Sie vor dem Absenden den nachstehenden Sicherheitscode in das nebenstehende Feld ein<br />\n<img src=\"captcha/captcha.php\" border=\"0\" title=\"Sicherheitscode\">\nSicherheitscode hier eintragen: <input type=\"text\" name=\"sicherheitscode\" size=\"5\"><br />\nDiese Ma&szlig;nahme dient der Spam-Vermeidung. Wir bitten um Ihr Verst&auml;ndnis.\n</p>",

'not available'
=> 'nicht verfgbar',

// settings
'In this view you can work on the settings of the formfolder <i>%s</i>.'
=> 'In dieser Ansicht bearbeiten Sie die Einstellungen des Formular-Verzeichnisses <i>%s</i>.',
'Form settings'
=> 'Formular-Einstellungen',
'Auto release:'
=> 'Automatische Freigabe:',
'Send mail:'
=> 'Mail versenden:',
'Mail prefix:'
=> 'Mail-Kennzeichen:',
'Confirmation:'
=> 'Besttigung:',
'confirmation mail'
=> 'Besttigungs-Mail',
'confirmation page'
=> 'Besttigungs-Seite',
'confirmation mail and page'
=> 'Besttigungs-Mail und -Seite',
'Recipient email adress(es):'
=> 'Empfnger-Mail-Adresse(n):',
'Mail subject:'
=> 'Mail-Betreff:',
'Default error message:'
=> 'Allgemeine Fehlermeldung:',
'Default input error:'
=> 'Standard-Fehler-Kennzeichnung:',
'Upload remark:'
=> 'Hinweis fr Upload:',
'This will be displayed to remind the user to choose files for upload again. If you are using file-uploads this schould be filled with an explaing message.'
=> 'Dieser Hinweis wird angezeigt, um auf das erneute Auswhlen von Dateien hinzuweisen. Wenn Sie Upload-Felder benutzen sollten Sie hier eine erklrende Meldung eintragen.',
'Error template:'
=> 'Template fr Fehler-Kennzeichnung:',
'Required Placeholders:<br />### ERROR_MESSAGE ### will be replaced by the error message<br />### FORM_FIELD ### will be replaced by the corresponding form-filed'
=> 'Erforderliche Platzhalter:<br />### ERROR_MESSAGE ### wird durch die zugehrige Fehlermeldung ersetzt<br />### FORM_FIELD ### wird durch das zugehrige Formular-Feld ersetzt',
'Success message:'
=> 'Erfolgs-Meldung:',
'Select rubric to store data:'
=> 'Zielrubrik:',
'Select template:'
=> 'Templateauswahl:',
'Form method:'
=> 'Formular-Versandart:',
'Submit caption:'
=> 'Beschriftung des Sende-Knopfes:',
'Save module settings'
=> 'Moduleinstellungen speichern',
'Module settings were updated!'
=> 'Die Moduleinstellungen wurden erfolgreich gespeichert!',
// Captcha
'Captcha settings'
=> 'Captcha-Einstellungen',
'Use captcha:'
=> 'Captcha benutzen:',
'Captcha template:'
=> 'Captcha-Code:',
'Captcha error message:'
=> 'Captcha-Fehlermeldung:',
'Incorrect security code! Pay attention to upper and lower case letters!'
=> 'Fehlerhafter Sicherheitscode! Achten Sie auf Gross- und Kleinschreibung!',
'<!-- // Captcha-Sicherheitscode -->
<p><b>Security code:</b> Please enter the following security code in the adjacent field before sending<br />
<img src="captcha/captcha.php" border="0" title="Sicherheitscode" name="Sicherheitscode" onClick="reloadCaptcha(this);">
Enter security code here: <input type="text" name="sicherheitscode" size="5"><br />
This measure serves to avoid spam. We ask for your understanding.</p>'
=> '<!-- // Captcha-Sicherheitscode -->
<p><b>Sicherheitscode:</b> Bitte tragen Sie vor dem Absenden den nachstehenden Sicherheitscode in das nebenstehende Feld ein<br />
<img src="captcha/captcha.php" border="0" title="Sicherheitscode" name="Sicherheitscode" onClick="reloadCaptcha(this);">
Sicherheitscode hier eintragen: <input type="text" name="sicherheitscode" size="5"><br />
Diese Ma&szlig;nahme dient der Spam-Vermeidung. Wir bitten um Ihr Verst&auml;ndnis.</p>',
// diverses
'An error occured while trying to save your article!'
=> 'Es ist ein Fehler beim Speichern des Artikels aufgetreten!',
'Guestbook'
=> 'Gstebuch',
'Contact'
=> 'Kontakt',
'Event'
=> 'Veranstaltung',
'The guestbook template was created'
=> 'Das Gstebuch-Template wurde angelegt',
'The contact template was created'
=> 'Das Kontakt-Template wurde angelegt',
'The event template was created'
=> 'Das Veranstaltung-Template wurde angelegt',
'<a href="%s">Click</a> to proceed to the <a href="%s">module-settings</a>.'
=> '<a href="%s">Klicken Sie hier</a> um die <a href="%s">Moduleinstellungen</a> aufzurufen.',
'Now you should work on the <a href="%s">module settings</a> or return to the <a href="%s">module management</a>.'
=> 'Nun sollten Sie die <a href="%s">Modul-Einstellungen</a> bearbeiten oder zur <a href="%s">Modul-Verwaltung</a> zurckkehren.',
'Form input'
=> 'Formular-Eingabe',
'invalid mail-adress'
=> 'ungltige eMail-Adresse',
'invalid date'
=> 'ungltiges Datum',
'invalid url'
=> 'ungltige URL',
'The data was sent to %s.'
=> 'Die Daten wurden an %s gesendet.',
'Re-mail settings'
=> 'Einstellungen fr erneutes Mail',
'Subject:'
=> 'Betreff:',
'Message:'
=> 'Nachricht:',
'To use this option you need to install a modified Version of mod_text. And you need to modify _admin/articles.php.'
=> 'Um diese Option zu nutzen bentigen Sie eine modifizierte Version von mod_text, um Mailadressen im Artikelformular mit einem Mailbutton zu versehen. Auerdem ist gem Anleitung die Datei _admin/articles.php zu modifizieren.',
'Show articles:'
=> 'Artikel anzeigen:',
'Hide articles on submit:'
=> 'Artikel verstecken beim Versand:',
'none'
=> 'keine',
'above form'
=> 'oberhalb',
'below form'
=> 'unterhalb',
'Warning filetype image:'
=> 'Dateityp-Warnung Bild:',
'Warning filetype file:'
=> 'Dateityp-Warnung Datei:',
'The form is currently disabled.'
=> 'Das Formular ist derzeit abgeschaltet.',
'Enable upload:'
=> 'Upload benutzen:',
'Captcha image:'
=> 'Captcha Bild:',
'Captcha font:'
=> 'Captcha Schrift:',
'Text color:'
=> 'Schriftfarbe:',
'Shadow color:'
=> 'Schattenfarbe:',
'Style:'
=> 'Stil:',
'outline'
=> 'Kontour',
'shadow'
=> 'Schatten',
'enlarge'
=> 'vergrern',
'reduce'
=> 'verkleinern',
'Selecting "none" will drop the form data after sending the mail!'
=> 'Die Auswahl "keine" verwirft die eingegebenen Formulardaten nach dem Mailversand!',

'Upload settings'
=> 'Upload-Einstellungen',
'File rename:'
=> 'Datei umbenennen:',
'Title divider:'
=> 'Titel Trennzeichen:',
'Reset caption:'
=> 'Beschriftung des Reset-Knopfes:',
'Upload user:'
=> 'Upload Benutzer:',
'Message box template:'
=> 'Template fr die Message Box:',
'Required Placeholders:<br />### MESSAGE_LIST ### will be replaced by the messages<br />Use <i>&lt;!-- mod_form_message_string --&gt;</i> in the template at the dedired position to show this message box.'
=> 'Erforderliche Platzhalter:<br />### MESSAGE_LIST ### wird durch die Meldung ersetzt<br />Setzen Sie <i>&lt;!-- mod_form_message_string --&gt;</i> im Formular-Template an die gewnschte Stelle um diese Meldung auszugeben.',
'Conversion code:'
=> 'Conversion Code (Erfolgskontrolle):',
'Fill in e.g. your Google Adwords conversion code.'
=> 'Setzen Sie hier z.B. Ihren Google Adwords Conversion Code ein.',
'Allowed extensions:'
=> 'Erlaubte Dateierweiterungen:',
'Fill in the allowed file extensions divided by whitespaces.'
=> 'Tragen Sie die erlaubten Dateierweiterungen durch Leerzeichen getrennt ein.',
'Warning non-allowed filetype:'
=> 'Warung nicht-erlaubter Dateityp:',
'The uploaded file <em>%s</em> is no allowed filetype. Allowed filetypes: <em>%s</em>'
=> 'Die hochgeladene Datei <em>%s</em> ist kein erlaubter Dateityp. Erlaubte Dateitypen: <em>%s</em>',
'Custom HTML submit code:'
=> 'Eigener HTML Form-Submit Code:',

// confirmation settings
'Confirm settings'
=> 'Besttigungs-Einstellungen',
'Enable confirmation:'
=> 'Besttigung aktivieren:',
'If choosing yes and wanting a confirmation by the user, you have to choose "mail" on the settings above. Otherwise the confirmation is done by the recipient.'
=> 'Bei Auswahl von "ja" und gewnschter Besttigung durch den Benutzer sollte oben als Besttigung "Besttigungs-Mail" gewhlt werden. Ansonsten findet die Besttigung durch den Empfnger statt.',
'The following placeholders are available:'
=> 'Die folgenden Platzhalter stehen zur Verfgung:',
'Confirmation message:'
=> 'Besttigungs-Meldung:',
'Show confirmed content:'
=> 'Besttigten Inhalt anzeigen:',
'Confirmation fail message:'
=> 'Besttigungsfehler-Meldung:',
'Delete message:'
=> 'Lsch-Meldung:',
'Block message:'
=> 'Sperr-Meldung:',
'Expire message:'
=> 'Verfall-Meldung:',
'Automatic expiration:'
=> 'Automatischer Verfall:',
'Expire time:'
=> 'Verfallsdauer:',
'days'
=> 'Tage',
'Salt:'
=> 'Salz:',
'Confirm user:'
=> 'Besttigung Benutzerkonto:',
'no user'
=> 'kein Benutzer',
'The following entry was approved:<br /><br/>%s'
=> 'Der folgende Eintrag wurde freigegeben:<br /><br/>%s',
'Confirmation failed!'
=> 'Besttigung fehlgeschlagen!',
'The entry was deleted!'
=> 'Der Eintrag wurde gelscht!',
'The entry has been blocked!'
=> 'Der Eintrag wurde gesperrt!',
'The entry has been archived!'
=> 'Der Eintrag wurde archiviert!',
'english'
=> 'deutsch',
'english'
=> 'deutsch',

// some new
'In this view the predefined templates will be installed.'
=> 'In dieser Ansicht werden die vorbereiteten Beispiel-Templates installiert.',
'act like enclosing rubric'
=> 'Verhalten wie zugeordnete Rubrik',
'Encoding:'
=> 'Codierung:',
'server default'
=> 'Servereinstellung',
'force ISO-8859-1'
=> 'ISO-8859-1 erzwingen',
'force ISO-8859-15'
=> 'ISO-8859-15 erzwingen',
'force UTF-8'
=> 'UTF-8 erzwingen',
'Online posted by %s'
=> 'Online-Eintrag von %s',
'Please fill in the data beneath.'
=> 'Bitte vervollstndigen Sie die untenstehenden Angaben.',
'Input required!'
=> 'Eingabe erforderlich!',
'Your input has been successfully saved!'
=> 'Ihre Eingaben wurden erfolgreich gespeichert!',
'Send input'
=> 'Eintrag absenden',
'Discard'
=> 'Verwerfen',
'Please select the upload files again!'
=> 'Uploads bitte neu auswhlen!',
'The uploaded file <em>%s</em> is not an image!'
=> 'Die hochgeladene Datei <em>%s</em> ist kein Bild!',
'The uploaded file <em>%s</em> is not a data file! Propably an image?'
=> 'Die hochgeladene Datei <em>%s</em> ist keine Datei! Vermutlich ein Bild?',
'%s installed on %s'
=> '%s installiert am %s',
'The chosen template is not an allowed template in the chosen target rubric!'
=> 'Das gewhlte Template ist in der gewhlten Zielrubrik nicht erlaubt!',
'Sender email adress:'
=> 'Absender-Mail-Adresse:',
'Envelope sender adress:'
=> '"Envelope" (Umschlag-Mail-Adresse):',
'fills the -f parameter on sendmail'
=> 'ergnzt den -f Parameter bei Nutzung von PHP-SendMail',
'Sender usage:'
=> 'Absender-Auswahl',
'sender'
=> 'Absender',
'recipient'
=> 'Empfnger',
'user'
=> 'Benutzer',
'"from" adress for mail to recipient, mail to user always uses sender adress'
=> 'die "Von"-Adresse fr das Mail an den Empfnger, das Mail an den Benutzer nutzt immer die Absender-Mail-Adresse',
'Notice:'
=> 'Hinweis:',
'A rubric to store the data must be chosen above, otherwise there will be nothing to be confirmed!'
=> 'Es muss oben eine Rubrik zum Speichern der Eingaben gewhlt werden, ansonsten wird es nichts zu besttigen geben!',
'Send confirmation mail:'
=> 'Besttigungs-Mail senden:',
'First Entry'
=> 'Ersteintrag',
'Step 1'
=> 'Stufe 1',
'Step 2'
=> 'Stufe 2',
'Step 3'
=> 'Stufe 3',
'This will possibly change the above chosen send mail events!'
=> 'Hierdurch werden ggf. die weiter oben gewhlten Mailversandoptionen gendert!',
'Released'
=> 'Freigegeben',
'Deleted'
=> 'Gelscht',
'Blocked'
=> 'Gesperrt',
'Expired'
=> 'Verfallen',
'Error'
=> 'Fehler',
'Just use the standard placeholders that will be converted to form input fields.<br />The following special placeholders are available:'
=> 'Benutzen Sie einfach die normalen Platzhalter, die in Formularfelder konvertiert werden.<br />Die folgenden speziellen Platzhalter sind verfgbar:',
'only shown in admin mail'
=> 'wird nur im Empfnger-Mail gezeigt',
'only shown in user mail'
=> 'wird nur im Benutzer-Mail gezeigt',
'use to distinguish between displaying form and article'
=> 'dient der Unterscheidung von Formular- und Artikel-Darstellung',
'use to show different stages of editing (when using confirmation settings)'
=> 'wird zum Darstellen der verschiendenen Bearbeitungsstadien benutzt (Bei Nutzung der Besttigungs-Einstellungen)',
'Status mails will be delivered to all recipients because the content is not parsed.'
=> 'Status-Mails werden an alle Empfnger versendet, da der Inhalt nicht verarbeitet wird.',
'CC email adress(es):'
=> 'Kopie Mail-Adresse(n) [CC]:',
'BCC email adress(es):'
=> 'Blindkopie Mail-Adresse(n) [BCC]:',
'CC'
=> 'Kopie [CC]',
'BCC'
=> 'Blindkopie [BCC]',
'Recipient'
=> 'Empfnger',
'only shown in CC mail'
=> 'wird nur in der Mail-Kopie [CC] gezeigt',
'only shown in BCC mail'
=> 'wird nur in der Mail-Blindkopie [BCC] gezeigt',
'Copies will only be sent if recipient is also chosen.'
=> 'Kopien (CC, BCC) werden nur gesendet wenn auch Empfnger gewhlt wurde.',
'This will be used as copy adress on status mails, otherwise mails with special parsed content will be delivered.'
=> 'Wird genutzt als Kopienempfnger bei Status-Mails, ansonsten werden hierfr Mails mit individuellem Inhalt erstellt.',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',


'none'
=> 'keine',
'yes'
=> 'ja',
'no'
=> 'nein'
)

?>