<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "functions" - Page-Template PHP-Functions             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.2 / December 2012 ==

*/

$translation = array(

// common-module
'Page template functions'
=> 'Seitentemplate Funktionen',
'not available'
=> 'nicht verfgbar',

// setup
'Writing function <i>%s</i> to the database'
=> 'Die Funktion <i>%s</i> wird in die Datenbank geschrieben',
'The functions were successfully written to the database!'
=> 'Die Funktionen wurden erfolgreich in die Datenbank geschrieben!',
'Got to the <a href="%s">module settings</a>.'
=> 'Rufen Sie nun die <a href="%s">Modul-Einstellungen</a> auf.',
'Functions setup'
=> 'Installation der Funktionen',
'In this view you can watch the default functions to be installed.'
=> 'In dieser Ansicht knnen Sie beobachten, wie die mitglieferten Funktionen installiert werden.',


// manage
'The functions module got activated.'
=> 'Das Modul Funktionen wurde aktiviert.',
'If you want some sample function to be installed, please start the <a href="%s">functions setup</a>.'
=> 'Wenn Sie einige Beispiel-Funktion installieren mchten, dann starten Sie bitte die <a href="%s">Installation der Funktionen</a>',
'Go to <a href="%s">edit functions</a>.'
=> 'Sie knnen nun die <a href="%s">Funktionen bearbeiten</a>.',
'The functions module got deactivated.'
=> 'Das Modul Funktionen wurde deaktiviert.',
'The functions module was successfully removed from the ConPresso system. Please remove the module directory <i>%s</i> to finally uninstall the functions module!'
=> 'Das Modul Funktionen wurde aus dem ConPresso-System entfernt. Bitte lschen Sie das Modulverzeichnis <i>%s</i>, um die Deinstallation abzuschlieen.',
'The functions module was successfully installed!'
=> 'Das Modul Funktionen wurde erfolgreich installiert!',
'edit functions'
=> 'Funktionen bearbeiten',
'not available'
=> 'nicht verfgbar',

// edit
'In this view you can work on the user defined page template functions available for page templates.'
=> 'In dieser Ansicht bearbeiten Sie die benutzerdefinierte Seiten-Template-Funktionen, die in Seiten-Templates verwendet werden knnen.',
'In this view you can edit the user defined page template function <i>%s</i>.'
=> 'In dieser Ansicht bearbeiten Sie die benutzerdefinierte Seiten-Template-Funktion <i>%s</i>.',
'In this view you can create a new user defined page template function.'
=> 'In dieser Ansicht erstellen Sie eine neue benutzerdefinierte Seiten-Template-Funktion',
'Create new function'
=> 'Neue Funktion erstellen',
'Function name'
=> 'Name der Funktion',
'No functions founds!'
=> 'Keine Funktionen gefunden!',
'Template usage'
=> 'Benutzung in Seiten-Templates',
'PHP usage'
=> 'Benutzung in PHP-Code',
'Action'
=> 'Aktion',
'VALUE'
=> 'WERT',
'edit'
=> 'bearbeiten',
'delete'
=> 'lschen',
'Do you really want to delete this function?'
=> 'Wollen Sie diese Funktion wirklich lschen?',
'Notice:'
=> 'Hinweis:',
'The function itself must not produce any output! Everything has to be collected into a string that is given back with <i>return</i> in the last line.'
=> 'Die Funktion selbst darf keine Ausgaben erzeugen! Alles muss in einem String gesammelt werden, der dann mittels <i>return</i> in der letzten Zeile zurckgegeben wird.',
'save function'
=> 'Funktion speichern',

// actions
'Function <i>%s</i> saved.'
=> 'Die Funktion <i>%s</i> wurde gespeichert.',
'Function <i>%s</i> deleted.'
=> 'Die Funktion <i>%s</i> wurd gelscht.',
'functions'
=> 'Funktionen',



// Settings

'enlarge'
=> 'vergrern',
'reduce'
=> 'verkleinern',

'yes'
=> 'ja',
'no'
=> 'nein'

);

?>