<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "ImageSize"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.4c / September 2013

*/

if (!defined('CPO')) exit;
?>

<script type="text/javascript"><!--

var whichColor = '';

function openDialog(URL, name, width, height, parameters)
{
    // set some defaults if not given
    if (!name)   name   = '';
    if (!width)  width  = screen.width/2;
    if (!height) height = screen.height/2;
    if (!parameters) parameters = 'scrollbars=no, resizable=yes';

    xOffset = (screen.width  - width)/2;
    yOffset = (screen.height - height)/2;

    newwindow = window.open(URL, name, 'width='+width+', height='+height+', top='+yOffset+', left='+xOffset+', '+parameters);
    return newwindow;
}

function pickedColor(color)
{
    if (!color) return;
    eval('document.modulesettings.'+whichColor+'.value="'+color+'";');
    eval('document.modulesettings.'+whichColor+'_show.style.backgroundColor="'+color+'";');
}

function getPickedColor()
{
    return eval(whichColor+'.value;');
}

function colorize()
{
    document.getElementById('text_color_show').style.backgroundColor = document.getElementById('text_color').value;
    document.getElementById('shadow_color_show').style.backgroundColor = document.getElementById('shadow_color').value;
}

function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+350+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-350+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 

//--> </script>

<?php

include(CPO_BASEDIR.$directory.'/includes/actions.inc.php');

	printPageHeader(
		__('Imagesize'),
		__('In this view you can work on the settings of the imagesize-module.'),
		modHelp('settings','imagesize'),
		true,
		'modules'
	);

require(CPO_BASEDIR."_include/message.php");

//echo $CPO['version'];
//if (version_compare($CPO['version'], '4.1.3') >= 0) echo ' > 4.1.3';
//if (version_compare($CPO['version'], '4.1.3') < 0) echo ' < 4.1.3';
//echo '<br /><br />';

// ******** GENERAL SETTINGS ***************
		echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
		echo '<input type="hidden" name="go" value="1">';
		echo '<input type="hidden" name="list" value="options">';
 
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Resize settings');
		echo '</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Presets:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<textarea class="text inputwidth" style="height: 100px;" name="cpoImagetoolNew[presets]" id="presets">'.$activeModules['Imagetool']['presets'].'</textarea>';
			echo '<br /><a href="#" onClick="textarea(\'presets\', this);return false" id="lnk">'.__('enlarge').'</a>';
			echo '<br />'.__('Syntax: Displayed name;width;height;zoomable(0|1) using one line per preset');
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Options:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<input type="hidden" name="cpoImagetoolNew[opt][alibi]" value="1" />';
			$check_allow_freesize =	(isset($activeModules['Imagetool']['opt']['allowfreesize']) && $activeModules['Imagetool']['opt']['allowfreesize']==1) ? ' checked="checked"' : '';
			$check_zooming		  = (isset($activeModules['Imagetool']['opt']['zooming']) && $activeModules['Imagetool']['opt']['zooming']==1)       ? ' checked="checked"' : '';
			$check_allow_nozoom   = (isset($activeModules['Imagetool']['opt']['allownozoom']) && $activeModules['Imagetool']['opt']['allownozoom']==1)   ? ' checked="checked"' : '';
			$check_allow_noresize = (isset($activeModules['Imagetool']['opt']['allownoresize']) && $activeModules['Imagetool']['opt']['allownoresize']==1) ? ' checked="checked"' : '';
			$check_force_resize   =	(isset($activeModules['Imagetool']['opt']['forceResize']) && $activeModules['Imagetool']['opt']['forceResize']==1)   ? ' checked="checked"' : '';
            echo '<input type="checkbox" class="checkbox" name="cpoImagetoolNew[opt][allowfreesize]" id="allowfreesize" value="1"' . $check_allow_freesize . ' />';
            echo '<label for="allowfreesize">'.__('Allow custom size').'</label> ('.__('deactivates the presets!').')';
            echo '<br />';
			echo '<input type="checkbox" class="checkbox" name="cpoImagetoolNew[opt][zooming]" id="zooming" value="1"' . $check_zooming . ' />';
            echo '<label for="zooming">'.__('Zoomable thumbnails').'</label>* ('.__('creates a thumbnail and a zoomed image').')';
            echo '<br />';
			echo '<input type="checkbox" class="checkbox" name="cpoImagetoolNew[opt][allownozoom]" id="allownozoom" value="1"' . $check_allow_nozoom . ' />';
            echo '<label for="allownozoom">'.__('Allow zoom override').'</label>*';
            echo '<br />';
			echo '<input type="checkbox" class="checkbox" name="cpoImagetoolNew[opt][allownoresize]" id="allownoresize" value="1"' . $check_allow_noresize . ' />';
            echo '<label for="allownoresize">'.__('Allow resize override').'</label>*';
            echo '<br />';
            echo '<input type="checkbox" class="checkbox" name="cpoImagetoolNew[opt][forceResize]" id="forceResize" value="1"' . $check_force_resize . ' />';
            echo '<label for="forceResize">'.__('Force resize').'</label>';
            echo '<br />';
			echo '*'.__('<em>These settings will not be applied, when presets are defined!</em>').'<br />';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">'.__('Skip restrictions for:').'</td>';
            echo '<td class="rightrow">';
            echo '<select name="cpoImagetoolNew[skip_restrictions]" size="1">';
            echo '<option value="'.ROLE_CHIEFEDITOR.'" '
                .($activeModules['Imagetool']['skip_restrictions']==ROLE_CHIEFEDITOR ? 'selected' : '').'>'
                .__('Chief editor').'</option>';
            echo '<option value="'.ROLE_SUPERUSER.'" '
                .($activeModules['Imagetool']['skip_restrictions']==ROLE_SUPERUSER ? 'selected' : '').'>'
                .__('Superuser').'</option>';
			echo '<option value="'.ROLE_ADMIN.'" '
				.($activeModules['Imagetool']['skip_restrictions']==ROLE_ADMIN ? 'selected' : '').'>'
				.__('Admin').'</option>';
			echo '<option value="100" '
				.($activeModules['Imagetool']['skip_restrictions']==100 ? 'selected' : '').'>'
				.__('nobody').'</option>';
            echo '</select> '.__('and above');
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Thumbnail dimensions:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoImagetoolNew[width]" value="'.$activeModules['Imagetool']['width'].'" size="5" maxlength="255">';
            echo '&nbsp;x&nbsp;';
            echo '<input type="text" class="text" name="cpoImagetoolNew[height]" value="'.$activeModules['Imagetool']['height'].'" size="5" maxlength="255">';
            echo '&nbsp;('.__('width').'&nbsp;x&nbsp;'.__('height').')';
            echo '<br />';
			echo __('<em>These settings will not be applied, when presets are defined!</em>').'<br />';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Zoom dimensions:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoImagetoolNew[screenx]" value="'.$activeModules['Imagetool']['screenx'].'" size="5" maxlength="255">';
            echo '&nbsp;x&nbsp;';
            echo '<input type="text" class="text" name="cpoImagetoolNew[screeny]" value="'.$activeModules['Imagetool']['screeny'].'" size="5" maxlength="255">';
            echo '&nbsp;('.__('width').'&nbsp;x&nbsp;'.__('height').')';
            echo '<br />';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Zoomed image prefix:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoImagetoolNew[prefix]" value="'.$activeModules['Imagetool']['prefix'].'" maxlength="200">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Scaled image dimensions suffix:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoImagetoolNew[suffix]" value="'.$activeModules['Imagetool']['suffix'].'" maxlength="200">';
			echo '<br />'.__('If filled in the dimensions of the frame the image is scaled to fit or the preset name will be written to the filename. <b>Syntax:</b> <i>PartWidthHeight;PartPresetName</i> <b>Example:</b> .[%sx%s];.[%s]<br>PartWidthHeight: Using twice %s the first will be replaced by width, the second by height, e.g. ".frame%sx%s" or "[%sx%s]". These will <b>not</b> be the the dimension of the finally scaled image! It is ment as a kind of image class.<br>PartPresetName: The %s will be replaced by the preset name. If left blank <i>PartWidthHeight</i> will be used.');
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('JPEG quality:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoImagetoolNew[quality]" value="'.$activeModules['Imagetool']['quality'].'" size="3">';
            echo '&nbsp;'.__('percent');
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Keep original image:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoImagetoolNew[keepOriginal]" size="1">';
			$selyes = ($activeModules['Imagetool']['keepOriginal']=="yes") ? ' selected="selected"' :'';
			$selno = ($activeModules['Imagetool']['keepOriginal']=="no") ? ' selected="selected"' :'';
			echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
			echo '<option value="no"'.$selno.'>'.__('no').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Notice to user:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoImagetoolNew[noticeOriginal]" size="1">';
			$selyes = ($activeModules['Imagetool']['noticeOriginal']=="yes") ? ' selected="selected"' :'';
			$selno = ($activeModules['Imagetool']['noticeOriginal']=="no") ? ' selected="selected"' :'';
			echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
			echo '<option value="no"'.$selno.'>'.__('no').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
		echo '</tr>';
		echo '</tbody></table>';

// ******** Frontend-Einstellungen ***************

        // table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Frontend settings');
		echo '</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Notice:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo __('For frontend functionality you need to add the javascript code to the head of your page.<br />Using PHP header file just add <strong>&lt;?php echo $mod_imagesize_js; ?&gt;</strong> above closing &lt;/head&gt; tag.<br />Using page templates just add <strong>&lt;!-- Function: ImagesizeJS; --&gt;</strong> above closing &lt;/head&gt; tag.');
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Domain aliases:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<textarea class="text inputwidth" style="height: 100px;" name="cpoImagetoolNew[aliases]" id="aliases">'.$activeModules['Imagetool']['aliases'].'</textarea>';
			echo '<br /><a href="#" onClick="textarea(\'aliases\', this);return false" id="lnk">'.__('enlarge').'</a>';
			echo '<br />'.__('Syntax: THE_WHOLE_CPO_URL<b>/_data/</b> using one line per alias');
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Thumbnail alt-text:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoImagetoolNew[alt_open]" value="'.htmlspecialchars($activeModules['Imagetool']['alt_open'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Zoom image alt-text:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoImagetoolNew[alt_close]" value="'.htmlspecialchars($activeModules['Imagetool']['alt_close'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255">';
            echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Image attributes:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoImagetoolNew[attributes]" value="'.htmlspecialchars($activeModules['Imagetool']['attributes'], ENT_COMPAT, 'ISO-8859-15').'" >';
			echo '<br />'.__('These attributes will be extracted from IMG-Tags an will be available as "### IMG_<em>Tagname</em> ###" in the templates below.');
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Framework selection:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="cpoImagetoolNew[fwsel]" size="1">';
			$selcode = ($activeModules['Imagetool']['fwsel']=="code") ? ' selected="selected"' :'';
			$sellightbox = ($activeModules['Imagetool']['fwsel']=="lightbox") ? ' selected="selected"' :'';
			echo '<option value="code"'.$selcode.'>'.__('Code').'</option>';
			echo '<option value="lightbox"'.$sellightbox.'>'.__('Lightbox').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Code template:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<textarea class="text inputwidth" style="height: 100px;" name="cpoImagetoolNew[code]" id="code">'.htmlspecialchars($activeModules['Imagetool']['code'], ENT_COMPAT, 'ISO-8859-15').'</textarea>';
			echo '<br /><a href="#" onClick="textarea(\'code\', this);return false" id="lnk">'.__('enlarge').'</a>';
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Lightbox template:');
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<textarea class="text inputwidth" style="height: 100px;" name="cpoImagetoolNew[lightbox]" id="lightbox">'.htmlspecialchars($activeModules['Imagetool']['lightbox'], ENT_COMPAT, 'ISO-8859-15').'</textarea>';
			echo '<br /><a href="#" onClick="textarea(\'lightbox\', this);return false" id="lnk">'.__('enlarge').'</a>';
			echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
		echo '</tr>';
		echo '</tbody></table>';

// ******** Pro-Einstellungen ***************

		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Watermark settings');
		echo '</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Mark copyright:');
            echo '</td>';
            echo '<td class="rightrow">';
			$yes_selected = '';
			$no_selected = '';
			if ($activeModules['Imagetool']['mark_copyright'] == 'yes')  $yes_selected = " selected";
			if ($activeModules['Imagetool']['mark_copyright'] == 'no')  $no_selected = " selected";
            echo '<select name="cpoImagetoolNew[mark_copyright]">';
			echo '<option value="yes"'.$yes_selected.'>'.__('yes').'</option>';
			echo '<option value="no"'.$no_selected.'>'.__('no').'</option>';
            echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Copyright position:');
            echo '</td>';
            echo '<td class="rightrow">';
			$pos_array = array("left","center","right");
			echo '<table width="100" border="0" cellspacing="0" cellpadding="0" style="border: solid 1px black;">';
			for ($r=0;$r<3;$r++)  {
				echo "<tr>";
				for ($c=0;$c<3;$c++)  {
					$pos = 3 * $r + $c;
					$checked = '';
					if ($activeModules['Imagetool']['copyright_pos'] == $pos+1)  $checked = ' checked="checked"';
					echo '<td><div align="'.$pos_array[$c].'"><input type="radio" name="cpoImagetoolNew[copyright_pos]" value="'.($pos+1).'"'.$checked.'></div></td>';
				}
				echo "</tr>";
			}
			echo "</table>";
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Copyright notice text:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="cpoImagetoolNew[copyright_content]" value="'.htmlspecialchars($activeModules['Imagetool']['copyright_content'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Border:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoImagetoolNew[copyright_border]" value="'.$activeModules['Imagetool']['copyright_border'].'" size="5" maxlength="255"> '.__('pixel');
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Text color:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<input type="text" class="text" id="text_color" name="cpoImagetoolNew[text_color]" value="'.strtoupper($activeModules['Imagetool']['text_color']).'" size="7" onchange="colorize();"><INPUT TYPE="text" class="text" id="text_color_show" size="1" value="" style="cursor:hand; width=20px" readonly onClick="whichColor=\'text_color\'; openDialog(\'../_editor/colorpicker.php\', \'\', 530, 285)">&nbsp;&nbsp;';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Shadow color:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<input type="text" class="text" id="shadow_color" name="cpoImagetoolNew[shadow_color]" value="'.strtoupper($activeModules['Imagetool']['shadow_color']).'" size="7" onchange="colorize();"><INPUT TYPE="text" class="text" id="shadow_color_show" size="1" value="" style="cursor:hand; width=20px" readonly onClick="whichColor=\'shadow_color\'; openDialog(\'../_editor/colorpicker.php\', \'\', 530, 285)">&nbsp;&nbsp;';
            echo '</td>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Font:');
            echo '</td>';
            echo '<td class="rightrow">';
			$ttf_select = '<select name="cpoImagetoolNew[font]">';
			$ttffiles = listTTFfiles(CPO_BASEDIR.$activeModules['Imagetool']['directory'].'/fonts');
			for ($df=0;$df<count($ttffiles);$df++)  {
				$selected = '';
				if ($activeModules['Imagetool']['font'] == 'fonts/'.$ttffiles[$df])  $selected = ' selected="selected"';
				$ttf_select .= '<option value="fonts/'.$ttffiles[$df].'"'.$selected.'>'.$ttffiles[$df].'</option>';
			}
			$ttf_select .= '</select>';
			echo $ttf_select;
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Font size:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoImagetoolNew[font_size]" value="'.$activeModules['Imagetool']['font_size'].'" size="5" maxlength="255"> '.__('pixel');
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Show watermark:');
            echo '</td>';
            echo '<td class="rightrow">';
			$yes_selected = '';
			$no_selected = '';
			if ($activeModules['Imagetool']['show_watermark'] == 'yes')  $yes_selected = " selected";
			if ($activeModules['Imagetool']['show_watermark'] == 'no')  $no_selected = " selected";
            echo '<select name="cpoImagetoolNew[show_watermark]">';
			echo '<option value="yes"'.$yes_selected.'>'.__('yes').'</option>';
			echo '<option value="no"'.$no_selected.'>'.__('no').'</option>';
            echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Watermark position:');
            echo '</td>';
            echo '<td class="rightrow">';
			$pos_array = array("left","center","right");
			echo '<table width="100" border="0" cellspacing="0" cellpadding="0" style="border: solid 1px black;">';
			for ($r=0;$r<3;$r++)  {
				echo "<tr>";
				for ($c=0;$c<3;$c++)  {
					$pos = 3 * $r + $c;
					$checked = '';
					if ($activeModules['Imagetool']['watermark_pos'] == $pos+1)  $checked = ' checked="checked"';
					echo '<td><div align="'.$pos_array[$c].'"><input type="radio" name="cpoImagetoolNew[watermark_pos]" value="'.($pos+1).'"'.$checked.'></div></td>';
				}
				echo "</tr>";
			}
			echo "</table>";
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Watermark image:');
            echo '</td>';
            echo '<td class="rightrow">';
			$wm_select = '<select name="cpoImagetoolNew[watermark_pic]">';
			$wmfiles = listimagefiles(CPO_BASEDIR.$activeModules['Imagetool']['directory'].'/watermark');
			for ($df=0;$df<count($wmfiles);$df++)  {
				$selected = '';
				if ($activeModules['Imagetool']['watermark_pic'] == 'watermark/'.$wmfiles[$df])  $selected = ' selected="selected"';
				$wm_select .= '<option value="watermark/'.$wmfiles[$df].'"'.$selected.'>'.$wmfiles[$df].'</option>';
			}
			$wm_select .= '</select>';
			echo $wm_select;
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Scale watermark:');
            echo '</td>';
            echo '<td class="rightrow">';
			$yes_selected = '';
			$no_selected = '';
			if ($activeModules['Imagetool']['watermark_scale'] == 'yes')  $yes_selected = " selected";
			if ($activeModules['Imagetool']['watermark_scale'] == 'no')  $no_selected = " selected";
            echo '<select name="cpoImagetoolNew[watermark_scale]">';
			echo '<option value="yes"'.$yes_selected.'>'.__('yes').'</option>';
			echo '<option value="no"'.$no_selected.'>'.__('no').'</option>';
            echo '</select>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Watermark transparency:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoImagetoolNew[watermark_transparency]" value="'.$activeModules['Imagetool']['watermark_transparency'].'" size="5" maxlength="255"> '.__('percent');
            echo '</td>';
		echo '</tr>';
		
		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
		echo '</tr>';
		echo '</tbody></table>';


		echo '</form>';



?>
<script type="text/javascript">
<!--
	colorize();
//-->
</script>