<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "ImageSize"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.4c / September 2013

*/

$translation = array(
// navigation
'Imagesize'
=> 'Bildgre',
'In this view you can work on the settings of the imagesize-module.'
=> 'In dieser Ansicht knnen Sie die Einstellungen des Bildgren-Moduls vornehmen.',
'Resize settings'
=> 'Bildgren-Einstellungen',
'available in registered version'
=> 'verfgbar in der registrierten Version',
'Image dimensions:'
=> 'Bild-Abmessungen:',
'width'
=> 'Breite',
'height'
=> 'Hhe',
'pixel'
=> 'Pixel',
'JPEG quality:'
=> 'JPEG Qualitt',
'percent'
=> 'Prozent',
'Allow resize override'
=> 'Grenanpassung abschaltbar',
'Allow custom size'
=> 'Benutzerdefinierte Gre erlauben',
'Force resize'
=> 'Skalierung erzwingen',
'Skip restrictions for:'
=> 'Keine Einschrnkungen fr:',
'and above'
=> 'und hher',
'An uploaded image will be resized to fit a %s x %s frame (width x height).'
=> 'Ein hochgeladenes Bild wird auf max. %s x %s skaliert (Breite x Hhe).',
'An additional zoomed image will be created to fit a %s x %s frame (width x height).'
=> 'Ein zustzliches vergrertes Bild wird auf max. %s x %s skaliert (Breite x Hhe).',
'no resize'
=> 'keine Grenanpassung',
'Your input <i>%s</i> is not a valid value for "%s", so "%s" was reset to its previous value!'
=> 'Ihre Eingabe <i>%s</i> ist fr "%s" nicht gltig. Daher wurde "%s" auf den ursprnglichen Wert zurckgesetzt!',
'No resizing was wanted'
=> 'Es wurde keine Grenanpassung gewnscht',
'No resizing was necessary'
=> 'Eine Grenanpassung war nicht erforderlich',
'The image was resized to %s x %s (width x height).'
=> 'Das Bild wurde auf eine Gre von %s x %s Pixel skaliert (Breite x Hhe).',
'This file does already exist. To avoid overwriting the old file, it was renamed to <em>%s</em>.'
=> 'Diese Datei existiert bereits. Um das berschreiben der bestehenden Datei zu verhindern, wurde sie in <em>%s</em> umbenannt.',
// Comment: Message displayed in view 'Upload files'.
'Thumbnail dimensions:'
=> 'Miniaturen Gre:',
'Zoom dimensions:'
=> 'Zoombild Gre:',
'Zoomed image prefix:'
=> 'Zoombild Datei-Prfix:',
'Zoomable thumbnails'
=> 'Vergrsserbare Miniaturen',
'Allow zoom override'
=> 'Zoomfunktion abschaltbar',
'not zoomable'
=> 'nicht zoombar',
'An additional zoomed image version was saved as <i>%s</i>.'
=> 'Eine zustzliche groe Bilddatei wurde als <i>%s</i> gespeichert.',
'The original image was saved as <i>%s</i>.'
=> 'Das Originalbild wurde als <i>%s</i> gespeichert.',
'Keep original image:'
=> 'Originalbild speichern:',
'Options'
=> 'Einstellungen',
'Options:'
=> 'Optionen:',
'Domain aliases:'
=> 'Domain Aliase:',
'search options and settings'
=> 'Such-Konfiguration',
'Rights'
=> 'Rechte',
'Thumbnail alt-text:'
=> 'Miniatur alt-Text:',
'Zoom image alt-text:'
=> 'Zoombild alt-Text:',
'click to enlarge'
=> 'Anklicken zum Vergrern',
'click to close window'
=> 'Anklicken zum Schlieen des Fensters',
'Image attributes:'
=> 'IMG Attribute:',
'These attributes will be extracted from IMG-Tags an will be available as "### IMG_<em>Tagname</em> ###" in the templates below.'
=> 'Diese Attribute werden aus IMG-Tags ausgelesen und stehen dann als "### IMG_<em>Tagname</em> ###" in den untenstehenden Templates zur Verfgung.',
'Code template:'
=> 'Code Vorlage:',
'<em>These settings will not be applied, when presets are defined!</em>'
=> '<em>Diese Einstellungen sind wirkungslos, wenn Voreinstellungen definiert wurden!</em>',
'Presets and restrictions skipped for:'
=> 'Voreinstellungen und Einschrnkungen aufgehoben fr:',

'Frontend settings'
=> 'Frontend-Einstellungen',

'deactivates the presets!'
=> 'deaktiviert die Voreinstellungen!',
'creates a thumbnail and a zoomed image'
=> 'erzeugt eine Miniatur und ein Zoombild',
'Framework selection:'
=> 'Framework Auswahl:',
'Code'
=> 'Code',
'Lightbox'
=> 'Lightbox',
'Lightbox template:'
=> 'Lightbox Vorlage:',

'Scaled image dimensions suffix:'
=> 'Zusatz fr verkleinertes Bild:',
'If filled in the dimensions of the frame the image is scaled to fit or the preset name will be written to the filename. <b>Syntax:</b> <i>PartWidthHeight;PartPresetName</i> <b>Example:</b> .[%sx%s];.[%s]<br>PartWidthHeight: Using twice %s the first will be replaced by width, the second by height, e.g. ".frame%sx%s" or "[%sx%s]". These will <b>not</b> be the the dimension of the finally scaled image! It is ment as a kind of image class.<br>PartPresetName: The %s will be replaced by the preset name. If left blank <i>PartWidthHeight</i> will be used.'
=> 'Wenn dieses Feld ausgefllt wird, werden an den Dateinamen die Dimensionen des Rahmens geschrieben, in den das Bild eingepasst wird. <b>Syntax:</b> <i>TeilBreiteHhe;TeilVoreinstellungsName</i> <b>Beispiel:</b> .[%sx%s];.[%s]<br>TeilBreiteHhe: %s wird zweimal benutzt, das Erste wird durch die Breite ersetzt, das Zweite durch die Hhe, z.B. ".rahmen%sx%s" oder "[%sx%s]". Das sind aber <b>nicht</b> die Werte des verkleinerten Bildes! Gedacht ist es als eine Art Bild-Klasse.<br>TeilVoreinstellungsName: Das %s wird ersetzt durch den Namen der Voreinstellung. Fehlt dieser Teil wird <i>TeilBreiteHhe</i> genutzt.',
'Notice to user:'
=> 'Hinweis an den User:',
'For frontend functionality you need to add the javascript code to the head of your page.<br />Using PHP header file just add <strong>&lt;?php echo $mod_imagesize_js; ?&gt;</strong> above closing &lt;/head&gt; tag.<br />Using page templates just add <strong>&lt;!-- Function: ImagesizeJS; --&gt;</strong> above closing &lt;/head&gt; tag.'
=> 'Fr die Funktion im Frontend mssen Sie den JavaScript-Code dem Kopfbereich Ihrer Seite hinzufgen.<br />Bei Benutzung von PHP-Header-Dateien  fgen Sie <strong>&lt;?php echo $mod_imagesize_js; ?&gt;</strong> oberhalb des schlieenden &lt;/head&gt;-Tags ein.<br />Bei Benutzung von Seitentemplates fgen Sie <strong>&lt;!-- Function: ImagesizeJS; --&gt;</strong> oberhalb des schlieenden &lt;/head&gt;-Tags ein.',
'english'
=> 'deutsch',


// manage
'The imagesize-module got activated.'
=> 'Das Bildgren-Modul wurde aktiviert.',
'The imagesize-module got deactivated.'
=> 'Das Bildgren-Modul wurde deaktiviert.',
'Please remove the module directory %s to finally uninstall the imagesize-module.'
=> 'Um das Modul vollstndig zu entfernen, mssen Sie jetzt nur noch das Modul-Verzeichnis %s lschen.',
'The imagesize-module was successfully installed!'
=> 'Das Bildgren-Modul wurde erfolgreich installiert!',
'options'
=> 'Einstellungen',
'rights'
=> 'Rechte',
'read manual'
=> 'Handbuch',

// Hilfe
'Imagesize-Help'
=> 'Bildgren-Hilfe',
'There ist right now no english helpfile available!'
=> 'Das Handbuch zum Bildgren-Modul von <a href="http://www.conpresso4.de" target="_blank">Markus Rsel (www.conpresso4.de)</a>',


'Module settings were updated!'
=> 'Die Moduleinstellungen wurden aktualisiert!',
'Save module settings'
=> 'Modul-Einstellungen speichern',
'Your test-license has expired!'
=> 'Ihre Testlizenz ist abgelaufen!',
'The imagesize-module is not registered yet. The settings are disabled and defaults are used to let you check the module working on your system. If you want to be able to change the settings you need to get a license  key.'
=> 'Das Bildgren-Modul ist noch nicht registriert. Die Einstellungen wurden deaktiviert und es werden Voreinstellungen benutzt, damit Sie die Modulfunktion auf Ihrem System testen knnen. Wenn Sie in der Lage sein wollen die Einstellungen anzupassen, dann mssen Sie einen Lizenz-Schlssel eintragen.',

'enlarge'
=> 'vergrern',
'reduce'
=> 'verkleinern',
'Imagesize preset:'
=> 'Bildgre:',
'Notice:'
=> 'Hinweis:',
'Presets:'
=> 'Voreinstellungen:',
'Syntax: Displayed name;width;height;zoomable(0|1) using one line per preset'
=> 'Syntax: Angezeigter Name;Breite;Hhe;zoombar(0|1) durch Zeilenschaltung getrennt',
'Syntax: THE_WHOLE_CPO_URL<b>/_data/</b> using one line per alias'
=> 'Syntax: DIE_GANZE_CPO_URL<b>/_data/</b> durch Zeilenschaltung getrennt',
'nobody'
=> 'niemand',

// PRO Settings
'Watermark settings'
=> 'Wasserzeichen-Einstellungen',
'Mark copyright:'
=> 'Urheberrecht kennzeichnen:',
'Copyright position:'
=> 'Position Urheberrechtskennzeichnung:',
'Copyright notice text:'
=> 'Text Urheberrecht:',
'Border:'
=> 'Rand:',
'Text color:'
=> 'Textfarbe:',
'Shadow color:'
=> 'Schattenfarbe:',
'Font:'
=> 'Schriftart:',
'Font size:'
=> 'Schriftgre:',
'Show watermark:'
=> 'Wasserzeichen einbetten:',
'Watermark position:'
=> 'Position Wasserzeichen:',
'Watermark image:'
=> 'Wasserzeichen-Datei:',
'Scale watermark:'
=> 'Wasserzeichen dehnen:',
'Watermark transparency:'
=> 'Wasserzeichen Deckkraft:',
'Watermark mode:'
=> 'Wasserzeichen-Modus:',
'color'
=> 'Farbe',
'greyscale'
=> 'Graustufen',
'only for truecolor watermarks'
=> 'nur bei Echtfarb-Wasserzeichen',


'english'
=> 'deutsch',

'yes'
=> 'ja',
'no'
=> 'nein'

);

?>