<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

if(!isset($_POST['import']))  {
		printPageHeader(
			__('Newsletter recipients upload'),
			(function_exists('dbase_open') ? 
                __('Here you can upload a CSV or dBase file with recipient data.') :
                __('Here you can upload a CSV file with recipient data.')
            ).'<br />'.__('Note: CSV files should have a txt-extension, otherwise they will be treated as an Excel file.'),
			modHelp('recipients','newsletter'),
			true,
			'modules'
		);

        $deactivated = '';

		if (!license($activeModules[$directory]['lkey'],2) || license($activeModules[$directory]['lkey'],2) == 4) {
			$deactivated = ' disabled="disabled"';
			$message[] = __('To use this feature you have to register this module!');
		}

		require(CPO_BASEDIR."_include/message.php");

?>

<form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>" enctype="multipart/form-data">
	<input type="hidden" name="import" value="1">
	<input type="hidden" name="list" value="email">
<table class="colored" style="width: 100%;">
	<thead>
		<tr>
			<th colspan="2"><span><?php echo __('Upload recipient list'); ?></span></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td class="leftrow"><?php echo __('File to upload'); ?> </td>
			<td class="rightrow"><input class="text inputwidth" type="file" name="email_liste"<?php echo $deactivated; ?> /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td><input type="submit" value="<?php echo __('upload'); ?>"<?php echo $deactivated; ?>/></td>
		</tr>
	</tbody>
</table>
</form>

<?php
}
if(isset($_POST['import']) && $_POST['import'] == 1)  {
	include (CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_upload.inc.php');
}
?>
