<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

if ($activeModules[$directory]['personal_fields'])  {
	$fields = explode("\n", $activeModules[$directory]['personal_fields']);
	foreach($fields AS $field)
	{	
		$fieldset = explode(";", trim($field));
		$field_caption = htmlspecialchars(trim($fieldset[0]), ENT_COMPAT, 'ISO-8859-15').(trim($fieldset[1])==1 ? ' ('.__('necessary').')<input type="hidden" name="personal_necessary[]" value="'.trim($fieldset[0]).'" />' : '');
		switch (strtolower($fieldset[2])) {
			case 'select':
				$values = explode (",", trim($fieldset[3]));
				$field_input = '<select name="receiver_personal['.trim($fieldset[0]).']">';
				foreach ($values AS $v)  {
					$selected = ($receiver_personal[trim($fieldset[0])]==$v) ? ' selected="selected"' : '';
					$field_input .= '<option value="'.$v.'"'.$selected.'>'.$v.'</option>';
				}
				$field_input .= '</select>';
				break;
			case 'radio':
				$field_input = '';
				$values = explode (",", trim($fieldset[3]));
				foreach ($values AS $v)  {
					$checked = ($receiver_personal[trim($fieldset[0])]==$v) ? ' checked="checked"' : '';
					$field_input .= '<input type="radio" name="receiver_personal['.trim($fieldset[0]).']" id="'.$v.'" value="'.$v.'"'.$checked.' /> <label for="'.$v.'">'.$v.'</label><br />';
				}
				break;
			case 'checkbox':
				$checked = ($receiver_personal[trim($fieldset[0])]) ? ' checked="checked"' : '';
				$field_input = '<input type="checkbox" name="receiver_personal['.trim($fieldset[0]).']" value="1"'.$checked.' />';
				break;
			case 'text':
				$field_input = '<input type="text" class="text" name="receiver_personal['.trim($fieldset[0]).']" value="'.$receiver_personal[trim($fieldset[0])].'" size="'.trim($fieldset[3]).'" maxlength="'.trim($fieldset[3]).'" />';
				break;
			default:
				$field_input = '<input type="text" class="text inputwidth" name="receiver_personal['.trim($fieldset[0]).']" value="'.$receiver_personal[trim($fieldset[0])].'" maxlength="255" />';
				break;
		}
        $replacer = array();;
        $replacer[newsletterPlaceholder('NL-CAPTION')] = $field_caption;
        $replacer[newsletterPlaceholder('NL-INPUT')]   = $field_input;
		$data_rows .= preg_replace(array_keys($replacer), array_values($replacer), $activeModules[$directory]['personal_row']);
	}
}
?>