<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

		printPageHeader(
			__('Newsletter recipient import'),
			__('Please check the data displayed below.'),
			modHelp('recipients','newsletter'),
			true,
			'modules'
		);
		$message[] = sprintf(__('Uploaded filename: %s'),$_FILES['email_liste']['name']);
		$message[] = sprintf(__('Uploaded filetype: %s'),$_FILES['email_liste']['type']);
		require(CPO_BASEDIR."_include/message.php");
?>
<form method="post" action="<?php echo $PHP_SELF; ?>">
	<input type="hidden" name="upload" value="1">
	<input type="hidden" name="list" value="email">
<table class="colored" style="width: 100%;">
	<thead>
		<tr>
			<th colspan="2"><span><?php echo __('Found email adresses'); ?></span></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
<?php

		// Adressen in Feld einlesen
		$readable_format = TRUE;
		if ($_FILES['email_liste']['type'] == "text/plain")  {
			$empfaengerliste = file($_FILES['email_liste']['tmp_name']);
			$wrongemail = 0;
            $empfaenger = array();
            $empfaenger_info = array();
			echo __("These email adresses were found in your file:")."\n<br>\n<select class=\"text\" size=10>\n";
//			while(list($zeile_num, $zeile) = each($empfaengerliste))  {
            foreach($empfaengerliste AS $zeile_num=>$zeile)  {
				$receiver_info = '';
				if (!strpos($zeile,"@")) continue;
				if (strpos($zeile,";")) {
					$zeile = explode(";",$zeile);
				} elseif (strpos($zeile,",")) {
					$zeile = explode(",",$zeile);
				}
				if (is_array($zeile))  {
					$email_part = array_search_bit("@",$zeile);
					$receiver = trim($zeile[$email_part]);
					$zeile[$email_part] = '';
					$receiver_info = trim(implode(" / ",$zeile));
					$receiver_info_brackets = " (".$receiver_info.")";
				} else {
					$receiver = trim($zeile);
				}

				if (!is_email_valid($receiver))  {
					echo "<option style=\"color:red \" title=\"".addslashes($receiver_info)."\">".$receiver.__(' (invalid, will not be added!)');
					$wrongemail++;
				} elseif (in_array($receiver,$empfaenger))  {
					echo "<option style=\"color:red \" title=\"".addslashes($receiver_info)."\">".$receiver.__(' (duplicate, will not be added!)');
					$wrongemail++;
				} elseif (check_receiver($receiver) !== false)  {
					echo "<option style=\"color:red \" title=\"".addslashes($receiver_info)."\">".$receiver.__(' (already listed, will not be added!)');
					$wrongemail++;
				} else {
					echo "<option value=\"1\" title=\"".addslashes($receiver_info)."\">".$receiver;
					$empfaenger[] = $receiver;
					$empfaenger_info[] = $receiver_info;
				}
				echo "</option>\n";
			}
			echo '</select>  <input class="text" type="submit" value="'.__('insert').'"/>';
		} elseif ($_FILES['email_liste']['type'] == "application/octet-stream" && function_exists('dbase_open'))  {
			$empfaengerdb = dbase_open($_FILES['email_liste']['tmp_name'],0);
			$wrongemail = 0;
			echo __("These email adresses were found in your file:")."\n<br>\n<select class=\"text\" size=10>\n";
			$res = dbase_get_record_with_names($empfaengerdb, 1);		// throw record 1 into associative array key=>value
			$cles = array_keys($res);									// retrieves all the keys from previous array, which are field names
			for ($n=0; $n<count($cles);$n++)  {
				if (stristr($cles[$n],"email") OR stristr($cles[$n],"e-mail"))  {
					$zeilenr = 1;
					for ($nr=1; $nr<=dbase_numrecords($empfaengerdb); $nr++)  {
							$zeile = dbase_get_record($empfaengerdb, $nr);
							if (!is_email_valid($zeile[$n]))  {
								echo "<option style=\"color:red \">".trim($zeile[$n]).__(' (invalid, will not be added!)');
								$wrongemail++;
							} elseif (in_array($zeile[$n],$empfaenger))  {
								echo "<option style=\"color:red \">".trim($zeile[$n]).__(' (duplicate, will not be added!)');
								$wrongemail++;
							} elseif (check_receiver($zeile[$n]) !== false)  {
								echo "<option style=\"color:red \">".trim($zeile[$n]).__(' (already listed, will not be added!)');
								$wrongemail++;
							} else {
								$receiver= trim($zeile[$n]);
								$zeile[$n] = '';
								$receiver_info = trim(implode(" ",$zeile));
								$receiver_info_brackets = " (".$receiver_info.")";
								echo "<option value=\"1\">".$receiver.$receiver_info_brackets;
								$empfaenger[] = $receiver;
								$empfaenger_info[] = $receiver_info;

							}  // if email gltig
					echo "</option>\n";
					}  // while
				}  // if email
			}  //fr $n
			echo '</select>  <input class="text" type="submit" value="'.__('insert').'"/>';
		} else {
			$message[] = __('<b>No readable file format!</b>');
			$message[] = __('Note: CSV files should have a txt-extension, otherwise they will be treated as an Excel file.');
			require(CPO_BASEDIR."_include/message.php");
			$readable_format = FALSE;
		}
		for ($r=0;$r<count($empfaenger);$r++)  {
			echo '<input type="hidden" name="empfaenger[]" value="'.$empfaenger[$r].'">'."\n";
			echo '<input type="hidden" name="empfaenger_info[]" value="'.htmlspecialchars($empfaenger_info[$r], ENT_COMPAT, 'ISO-8859-15').'">'."\n";
		}
		if ($readable_format == TRUE)  {
			echo "<br />".count($empfaenger)." ".__('mail-adresses')." ";
			if ($wrongemail != 0 )  echo '<font color="red">('.$wrongemail.__(' invalid').')</font>';
		} ?>

		</td>
	</tr>
</table>
</form>
