<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;
?>

<?php boxHeader('license', __('License'), false); ?>
        <tr>
            <td class="leftrow"><?php echo ___('License type:'); ?></div></td>
            <td class="rightrow">
                <?php
                switch (license($activeModules[$directory]['lkey'],$activeModules[$directory]['mod_id'])) {
                case 1:
                    echo ___('commercial license');
                    break;
                case 2:
                    echo ___('non commercial license');
                    break;
                case 3: 
                    echo ___('test license');
                    break;
                case 4:
                    echo ___('expired test license');
                    break;
                case 5:
                    echo ___('school license');
                    break;
                case false:
                    echo ___('unregistered version');
                    break;
                default:
                    echo ___('unknown license type');
                }
                ?><br />
            </td>
        </tr><tr>
            <td class="leftrow"><?php echo __('Licensee:'); ?></td>
            <td class="rightrow">
                <input type="text" class="text inputwidth" name="cpoNewsletterNew[owner]" value="<?php print(htmlspecialchars($activeModules[$directory]['owner'], ENT_COMPAT, 'ISO-8859-15')); ?>" size="35" maxlength="255">
            </td>
        </tr><tr>
            <td><?php echo __('License key:'); ?></td>
            <td>
                <input type="text" class="text inputwidth" name="cpoNewsletterNew[lkey]" value="<?php print(htmlspecialchars($activeModules[$directory]['lkey'], ENT_COMPAT, 'ISO-8859-15')); ?>" size="35" maxlength="255">
            </td>
        </tr><tr>
            <td><?php echo __('Used product version:'); ?></td>
            <td>
                <?php print(htmlspecialchars($MOD['version'], ENT_COMPAT, 'ISO-8859-15')); ?> installed on <?php print(date("F j, Y, g:i a", $activeModules[$directory]['installed'])); ?>
            </td>
        </tr><tr>
            <td>&nbsp;</td>
            <td>
                <input type="submit" class="button" name="lizence" value="<?php echo ___('Save module settings'); ?>">
            </td>
        </tr>
    </tbody></table>
