<?php 
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Populate" (Blindtexte)                               |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 0.1 / October 2020

*/

$translation = array(
'Dummy text generator'
=> 'Blindtextgenerator',
'Dummy text'
=> 'Blindtext',
'In this view you can fill the ConPresso installation with dummy texts.'
=> 'In dieser Ansicht knnen Sie die ConPresso-Installation mit Blindtexten fllen.',
'Dummy text settings'
=> 'Blindtext-Einstellungen',
'The article <em>%s</em> was created.'
=> 'Der Artikel <em>%s</em> wurde erstellt.',
'The rubric <em>%s</em> (ID: %s) was created.'
=> 'Die Rubrik <em>%s</em> (ID: %s) wurde erstellt.',


// manage
'The dummy text module got activated.'
=> 'Das Modul Blindtextgenerator wurde aktiviert.',
'The dummy text module got deactivated.'
=> 'Das Modul Blindtextgenerator wurde deaktiviert.',
'The dummy text module was successfully removed from the ConPresso system. Please remove the module directory <i>%s</i> to finally uninstall the module.'
=> 'Das Modul Blindtextgenerator wurde vom ConPresso-System entfernt. Bitte entfernen Sie das Modulverzeichnis <i>%s</i>, um die Deinstallation abzuschlieen.',
'The dummy text module was successfully installed!'
=> 'Das Modul Blindtextgenerator wurde erfolgreich installiert.',



'Rubrics:'
=> 'Rubriken:',
'Articles per rubric (min-max):'
=> 'Artikel je Rubrik (min-max):',
'Content:'
=> 'Inhalt:',
'Paragraphs:'
=> 'Abstze:',
'Create navigation:'
=> 'Navigation erstellen:',
'Navigation levels:'
=> 'Navigationsebenen:',
'Delete all dummy texts'
=> 'Alle Blindtexte lschen',
'Generate dummy texts'
=> 'Blindtexte erstellen',
'Reset'
=> 'Zurcksetzen',

// purge
'The dummy article <em>%s</em> was purged.'
=> 'Der Blindtext-Artikel <em>%s</em> wurde engltig gelscht.',
'The dummy rubric <em>%s</em> was purged.'
=> 'Die Blindtext-Rubrik <em>%s</em> wurde engltig gelscht.',
'All remaining unchanged dummy articles were purged.'
=> 'Alle verbliebenen unvernderten Blindtext-Artikel wurden engltig gelscht.',
'The purge is completed!'
=> 'Das engltige Lschen wurde erfolgreich beendet!',

// autocreate

'<b>Creating navigation structure</b>'
=> '<b>Erstellen der Navigationsstruktur</b>',
'Navigation item <em>%s</em> created.'
=> 'Das Navigationselement <em>%s</em> wurde erstellt.',
'Rubric <em>%s</em> already exists. Added to navigation.'
=> 'Die existierende Rubrik <em>%s</em> wurde der Navigation hinzugefgt.',
'Navigation items were created.'
=> 'Die Navigationsstruktur wurde erstellt.',
'<b>NOTE:</b> An existing navigation structure will be deleted!'
=> '<b>HINWEIS:</b> Eine vorhandene Navigation wird gelscht!',
'<b>NOTE:</b> This is a maximum value of nesting.<br />It is unlikely to reach it on higher numbers,<br />because the level can only go up 1 step a time<br />but fall back to root level any time!'
=> '<b>HINWEIS:</b> Dies ist der maximale Wert der Verzweigung.<br />Es ist unwahrscheinlich diesen bei hheren Werten zu erreichen,<br />da die Ebenen immer nur um 1 erhht werden knnen,<br />aber jederzeit auf die erste Ebene zurckfallen knnen!<br />Wahrscheinlichkeit eben.',




'yes'
=> 'ja',
'no'
=> 'nein'

);

?>