<?php

$blindtextArray = array(
'<h3>Blindtexte: Funktion als Platzhalter oder zum Vergleich der Wirkung von Schriftbildern</h3>',

'<p>Blindtexte nennt man Texte, die bei der Produktion von Publikationen oder Webseiten als Platzhalter fr sptere Inhalte stehen, wenn der eigentliche Text noch nicht vorhanden ist. Sie werden auch als Dummy-, Fll- oder Platzhaltertexte bezeichnet. Mitunter sollen Komponisten von Liedern Blindtexte beim Komponieren von Melodien benutzen und diese vor dem Dichten des Liedtextes singen. Bereits seit dem 16. Jahrhundert drften Blindtexte bei Setzern blich gewesen sein.</p>',

'<p>Zweckmigkeit bei inhaltlicher Sinnlosigkeit</p>',

'<p>Blindtexte werden ebenfalls zur Demonstration der Gestalt verschiedener Schrifttypen und zu Layoutzwecken verwendet. Sie ergeben in der Regel keinen inhaltlichen Sinn. Aufgrund ihrer verbreiteten Funktion als Flltext fr das Layout kommt einer Nicht-Lesbarkeit besondere Bedeutung zu, da die menschliche Wahrnehmung u.a. darauf ausgerichtet ist, bestimmte Muster und Wiederholungen zu erkennen. Ist die Verteilung der Buchstaben und die Lnge der "Worte" willkrlich, lenkt beispielsweise nichts von der Beurteilung der Wirkung und Lesbarkeit verschiedener Schriftarten (Typografie) sowie der Verteilung des Textes auf der Seite (Layout oder Satzspiegel) ab. Deshalb bestehen Blindtexte meist aus einer mehr oder weniger willkrlichen Folge von Wrtern oder Silben. Wiederholungsmuster knnen also nicht den Gesamteindruck trben und Schriftarten so besser miteinander verglichen werden. Dabei ist natrlich von Vorteil, wenn der Blindtext halbwegs realistisch erscheint, damit die Wirkung des Layouts der spteren Publikation nicht beeintrchtigt wird.</p>',

'<h3>Deutsch oder Latein? Unverstndlichkeit oder Lesbarkeit? Das sind die Fragen.</h3>',

'<p>Als bekanntester Blindtext gilt der Text "Lorem ipsum", der seinen Ursprung im 16. Jahrhundert haben soll. Lorem ipsum ist in einer pseudo-lateinischen Sprache verfasst, die ungefhr dem "natrlichen" Latein entspricht. In Ihm finden sich eine Reihe realer lateinischer Wrter. Auch dieser Blindtext ist unverstndlich gehalten, imitiert jedoch den Rhythmus der meisten europischen Sprachen in lateinischer Schrift. Der Vorteil des lateinischen Ursprungs und der relativen Sinnlosigkeit von Lorem ipsum ist, dass der Text weder die Aufmerksamkeit des Betrachters auf sich zieht noch von der Gestaltung ablenkt.</p>',

'<p>Ein Nachteil liegt jedoch darin begrndet, dass im Lateinischen bestimmte Buchstaben hufiger und andere seltener vorkommen, was ein anderes Druckbild erzeugt. Zudem werden im Lateinischen nur Satzanfnge gro geschrieben, so dass Lorem ipsum die generelle Substantivgroschreibung der deutschen Sprache nicht abbilden kann. Als visueller Platzhalter fr deutschsprachige Texte ist Lorem ipsum demzufolge nur begrenzt geeignet. Sollen Blindtexte dazu dienen, die Eigenheiten der Schriftarten zu vergleichen, so kann es auch sinnvoll sein, Texte zu whlen, die mglichst alle Buchstaben und Sonderzeichen verwenden, die fr die jeweilige Sprache typisch sind.</p>',

'<p>Mittlerweile existiert ferner eine Flle an lesbaren Blindtexten. Diese werden meist verwendet, wenn ihre Funktion die eines reinen Platzhaltertextes ist. Diese Alternativen zu den klassischen Lorem ipsum-Texten sind oftmals amsant und erzhlen kleine, lustige oder sinnlose Geschichten.</p>',

'<h3>Herkunft und Bedeutung des Lorem ipsum-Textes</h3>',

'<p>Den meisten Quellen zufolge geht Lorem ipsum auf einen Text Ciceros aus dem Jahr 45 vor Christus zurck. Demnach ermittelte ein Lateinlehrer die Herkunft, indem er Fundstellen des auergewhnlichen Wortes "consectetur" zusammentrug und dabei die bereinstimmung mit einer Textpassage in De finibus bonorum et malorum (ber die Grenzen des Guten und Schlechten) von Cicero erkannte, die im Mittelalter hinlnglich bekannt war: "Neque porro quisquam est, qui dolorem ipsum, quia dolor sit, amet, consectetur, adipisci velit [...]" (Sinngem: "Es gibt niemanden, der den Schmerz selbst liebt, der ihn sucht und haben will, einfach, weil es Schmerz ist [...]"). Ein typischer Lorem ipsum-Text lautet etwa: "Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim [...]".</p>',

'<p>Es scheinen nur Bruchstcke des ursprnglichen Textes in die heute gebruchlichen Lorem ipsum-Texte gelangt zu sein. So ist zu vermuten, dass im Laufe der Zeit eine Reihe von Buchstaben an verschiedenen Stellen des Textes eingesetzt oder gestrichen wurden. Daher finden sich mittlerweile leicht differierende Varianten des Textes. Copyright-Probleme treten aufgrund des Alters des Lorem ipsum-Textes nicht auf.</p>',

'<p>In den 1960er Jahren wurde der Text ber den Kreis von Setzern und Layoutern hinaus bekannt, als Auszge des Lorem ipsum-Textes auf Letraset-Bgen (bis in die 1980er Jahre hinein verbreitete und populre Klebebuchstaben auf transparenten Folien) verwendet wurden. Versionen des Textes wurden nachfolgend auch in DTP-Programmen (Desktop-Publishing) wie PageMaker etc. mitgeliefert.</p>',

'<h3>Automatische Erkennung von Lorem ipsum bei der Druckaufbereitung</h3>',

'<p>Die Verbreitung von Computern und Layoutprogrammen machte Blindtexte also bekannter. Wurden frher einige Zeilen des Lorem ipsum-Textes in Blindtexten kontinuierlich wiederholt, so dient der Text Ciceros heute als Basis vieler Blindtext- oder Lorem ipsum-Generatoren. Diese erzeugen, auf ihn aufbauend, automatisch lngere Abschnitte des Lorem ipsum-Textes oder aber verschiedene andere Platzhaltertexte.</p>',

'<p>Die Begriffsfolge des Lorem ipsum-Textes ist heutzutage so verbreitet und blich, dass viele DTP-Programme Blindtexte mit der Anfangssequenz "Lorem ipsum" erzeugen knnen. Von groem Vorteil ist, dass die Begriffsfolge "Lorem ipsum" heute in der elektronischen Druckaufbereitung erkannt und eine Warnmeldung ausgelst werden kann. Damit wird vermieden, dass eine Publikation mit einem verbliebenem Flltext irrtmlich in den Druck geht.</p>',

'<p>Dass jedoch Fll- bzw. Platzhaltertexte beispielsweise von automatischen Such-Programmen nicht erkannt werden knnen, sinnlose Informationen somit nicht von sinnvollen zu unterscheiden sind, machen sich einige Internetanbieter zu Nutze: Gezielt erzeugter Blindtext, versehen mit einer spezifischen Kombination von Suchwrtern, kann zu einen erhhten Zugriff von Suchmaschinen-Nutzern fhren. Infolgedessen erhhen sich die Werbeeinnahmen, die von der "Trefferzahl" der Web-Seite abhngen.</p>',

);

