<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
|          based on work by Markus Roesel                                |
+------------------------------------------------------------------------+
  $Id: loadfooters.php,v 1.3 2005/02/13 17:37:20 balu Exp $ */

global $moduleDirectory;

$translation = array(
'In this view you can work on the settings of the searchfolder <i>%s</i>.'
=> 'In dieser Ansicht knnen Sie die die Einstellungen des Suchmoduls <i>%s</i> verwalten.',

'This is a not registered version of %1$s. Please contact your %2$sadministrator%3$s.'
=> 'Dies ist eine unregistrierte Version von %1$s. Bitte wenden Sie sich an Ihren %2$sAdministrator%3$s.',

'Layout settings'
=> 'Layout Einstellungen',

'String length:'
=>'Zeichenmenge:',

'Highlight CSS:'
=>'Hervorhebungs-CSS:',

'No searchstring text:'
=>'Hinweis fehlender Suchbegriff:',

'Rubric limitation:'
=>'Rubrikeneinschrnkung:',

'off'
=> 'aus',

'include'
=> 'einschliessen',

'exclude'
=> 'ausschliessen',

'Select rubrics:'
=> 'Rubriken whlen:',

'enlarge'
=> 'vergrern',

'reduce'
=> 'verkleinern',

'Search options (frontend):'
=> 'Suchoptionen (Frontend):',

'Search author'
=> 'Suche nach Autor',

'Search URLs'
=> 'Suche nach URLs',

'Search images'
=> 'Suche nach Bildern',

'Search files'
=> 'Suche nach Dateien',

'search'
=> 'suchen',

'Module settings were saved.'
=> 'Die Moduleinstellungen wurden gespeichert.',

'Save module settings'
=> 'Modul-Einstellungen speichern',

'Place of finding'
=> 'Fundstelle',

'yes'
=> 'ja',
'no'
=> 'nein',

'Search'
=> 'Suche',
'Search ('.$moduleDirectory.')'
=> 'Suche ('.$moduleDirectory.')',
'In this view you can search through the contents of your articles.'
=> 'In dieser Ansicht knnen Sie die Inhalte Ihrer Artikel durchsuchen.',
'Please fill in your search phrase:'
=> 'Geben Sie in dieses Feld bitte Ihren Suchbegriff ein:',
'Please fill in a search phrase.'
=> 'Bitte geben Sie Ihren Suchbegriff ein.',
'No contents matching your search phrase.'
=> 'Keine Inhalte entsprechen Ihren Suchkriterien.',
'english'
=> 'deutsch',
'Options'
=> 'Einstellungen',
'Options:'
=> 'Optionen:',
'search options and settings'
=> 'Such-Konfiguration',
'Rights'
=> 'Rechte',
'The Search-module got activated.'
=> 'Das Modul Search wurde aktiviert.',
'The Search-module got deactivated.'
=> 'Das Modul Search wurde deaktiviert.',
'Please remove the module directory %s to finally uninstall the Search-module.'
=> 'Um das Modul vollstndig zu entfernen, mssen Sie jetzt nur noch das Modul-Verzeichnis %s lschen.',
'The Search-module was successfully installed!'
=> 'Das Modul Search wurde erfolgreich installiert!',
'options'
=> 'Einstellungen',
'rights'
=> 'Rechte',
'read manual'
=> 'Handbuch',
'Search for not published articles'
=> 'Suche nicht publizierte Artikel',
'Search for content'
=> 'Suche nach Inhalt',
'Search for author'
=> 'Suche nach Autor',
'Search-module'
=> 'Modul Search',
'old version'
=> 'alte Version',
'deleted'
=> 'gelscht',

// ---

'In this view you can search for articles.'
=> 'In dieser Ansicht suchen Sie nach Artikeln.',

'The search returned %s matches for your search phrase.'
=> 'Die Suche lieferte %s Treffer fr Ihre Suchbegriffe.',

'Search phrase:'
=> 'Suchbegriff:',

'Search options:'
=> 'Suchoptionen:',

'search in titles'
=> 'Titel durchsuchen',

'search in content'
=> 'Inhalt durchsuchen',

'search in authors'
=> 'Autoren durchsuchen',

'search in keywords'
=> 'Schlsselwrter durchsuchen',

'search in comments'
=> 'Kommentare durchsuchen',

'Release state:'
=> 'Freigabestatus:',

'Publication:'
=> 'Publikation:',

'all'
=> 'alle',

'article waiting for publication'
=> 'Artikel wartet auf Publizierung',

'article in publication timeframe'
=> 'Artikel innerhalb des Publikationszeitraumes',

'article expired'
=> 'Artikel verfallen',

'Article-template:'
=> 'Artikeltemplate:',

'edit module settings'
=> 'Moduleinstellungen bearbeiten',

'Edit module settings'
=> 'Moduleinstellungen bearbeiten',

'The search module was successfully installed.'
=> 'Das Suchmodul wurde erfolgreich installiert.',

'The search module got activated.'
=> 'Das Suchmodul wurde aktiviert.',

'The search module got deactivated.'
=> 'Das Suchmodul wurde deaktiviert.',

'Please remove the module directory %s to finally uninstall the search module.'
=> 'Bitte lschen Sie das Modulverzeichnis %s, um das Suchmodul endgltig zu deinstallieren.',

'In this view you can edit the settings of the search module <i>%s</i>.'
=> 'In dieser Ansicht bearbeiten Sie die Einstellungen des Suchmoduls <i>%s</i>.',

'Frontend settings'
=> 'Frontend-Einstellungen',

'Number of results per page:'
=> 'Anzahl der Treffer je Seite:',

'Message \'no search phrase\':'
=> 'Meldung \'kein Suchbegriff\':',

'Message \'no matches\':'
=> 'Meldung \'keine Treffer\':',

'Message \'matches\':'
=> 'Meldung \'Treffer\':',

'Rubrics:'
=> 'Rubriken:',

'Search options:'
=> 'Suchoptionen:',

'Please enter a search phrase.'
=> 'Bitte geben Sie einen Suchbegriff ein.',

'No matches returned.'
=> 'Es wurden keine Treffer zurckgeliefert.',

'The search returned %s matches.'
=> 'Die Suche lieferte %s Treffer.',

'Last changed by:'
=> 'Zuletzt bearbeitet von:',

'Search keywords'
=> 'Suche nach Schlsselwrtern',

'Search titles'
=> 'Titel durchsuchen',

'Sorry, you have no rights to search any rubric.'
=> 'Sie haben leider keine Rechte auf Rubriken, die Ihnen eine Suche erlauben wuerden.',

"Message 'matches' did not contain %s as placeholder for the number of matches. The placeholder was added at the end."
=> "Meldung 'Treffer' enthielt kein %s als Platzhalter fr die Anzahl der Treffer. Der Platzhalter wurde am Ende ergnzt.",

'not available'
=> 'nicht verfgbar',

'Log search queries:'
=> 'Suchanfragen protokollieren:',

'Log search queries in logfile'
=> 'Suchanfragen in der Logdatei protokollieren',

''
=> ''
);
?>
