<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Track" File Injection Detection                      |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.5 / October 2020

*/

define('CPO', true);
require_once('../_include/common.inc.php');

if(!file_exists(CPO_BASEDIR.$activeModules['track']['directory'].'/hash.inc.php')) {
    $message[]='Hello world!';
    include(CPO_BASEDIR.'_include/message.php');
    exit;
}

$updateHash = file_get_contents(CPO_BASEDIR.$activeModules['track']['directory'].'/hash.inc.php');

if(isset($_REQUEST['hash']) && trim($_REQUEST['hash'])!='' && md5($_REQUEST['hash'])==$updateHash)  {
    unlink(CPO_BASEDIR.$activeModules['track']['directory'].'/hash.inc.php');
    listTrackFiles(substr(CPO_BASEDIR,0,-1),true,true,true);
	include(CPO_BASEDIR.'_include/message.php');
} else {
    $message[]='Thanks for looking!';
    include(CPO_BASEDIR.'_include/message.php');
}